#ifndef _KERNLIB_H
#define _KERNLIB_H
#include <cfortran/cfortran.h>

#ifdef __cplusplus
extern "C" {
#endif

PROTOCCALLSFFUN1(FLOAT,ALOGAM,alogam,FLOAT)
#define ALOGAM(A2)  CCALLSFFUN1(ALOGAM,alogam,FLOAT,A2)

PROTOCCALLSFFUN1(FLOAT,BESI0,besi0,FLOAT)
#define BESI0(A2)  CCALLSFFUN1(BESI0,besi0,FLOAT,A2)

PROTOCCALLSFFUN1(FLOAT,BESI1,besi1,FLOAT)
#define BESI1(A2)  CCALLSFFUN1(BESI1,besi1,FLOAT,A2)

PROTOCCALLSFFUN1(FLOAT,BESJ0,besj0,FLOAT)
#define BESJ0(A2)  CCALLSFFUN1(BESJ0,besj0,FLOAT,A2)

PROTOCCALLSFFUN1(FLOAT,BESJ1,besj1,FLOAT)
#define BESJ1(A2)  CCALLSFFUN1(BESJ1,besj1,FLOAT,A2)

PROTOCCALLSFFUN1(FLOAT,BESK0,besk0,FLOAT)
#define BESK0(A2)  CCALLSFFUN1(BESK0,besk0,FLOAT,A2)

PROTOCCALLSFFUN1(FLOAT,BESK1,besk1,FLOAT)
#define BESK1(A2)  CCALLSFFUN1(BESK1,besk1,FLOAT,A2)

PROTOCCALLSFFUN1(FLOAT,BESY0,besy0,FLOAT)
#define BESY0(A2)  CCALLSFFUN1(BESY0,besy0,FLOAT,A2)

PROTOCCALLSFFUN1(FLOAT,BESY1,besy1,FLOAT)
#define BESY1(A2)  CCALLSFFUN1(BESY1,besy1,FLOAT,A2)

PROTOCCALLSFFUN1(FLOAT,COSINT,cosint,FLOAT)
#define COSINT(A2)  CCALLSFFUN1(COSINT,cosint,FLOAT,A2)

PROTOCCALLSFFUN1(DOUBLE,DERF,derf,DOUBLE)
#define DERF(A2)  CCALLSFFUN1(DERF,derf,DOUBLE,A2)

PROTOCCALLSFFUN1(DOUBLE,DFREQ,dfreq,DOUBLE)
#define DFREQ(A2)  CCALLSFFUN1(DFREQ,dfreq,DOUBLE,A2)

PROTOCCALLSFFUN1(DOUBLE,DGAMMA,dgamma,DOUBLE)
#define DGAMMA(A2)  CCALLSFFUN1(DGAMMA,dgamma,DOUBLE,A2)

PROTOCCALLSFFUN4(DOUBLE,DGAUSS,dgauss,ROUTINE,DOUBLE,DOUBLE,DOUBLE)
#define DGAUSS(A2,A3,A4,A5)  CCALLSFFUN4(DGAUSS,dgauss,ROUTINE,DOUBLE,DOUBLE,DOUBLE,A2,A3,A4,A5)

PROTOCCALLSFFUN5(FLOAT,DIVDIF,divdif,FLOATV,FLOATV,INT,FLOAT,INT)
#define DIVDIF(A2,A3,A4,A5,A6)  CCALLSFFUN5(DIVDIF,divdif,FLOATV,FLOATV,INT,FLOAT,INT,A2,A3,A4,A5,A6)

PROTOCCALLSFFUN8(DOUBLE,DMBIL,dmbil,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV)
#define DMBIL(A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFFUN8(DMBIL,dmbil,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFFUN6(DOUBLE,DVMPA,dvmpa,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLE)
#define DVMPA(A2,A3,A4,A5,A6,A7)  CCALLSFFUN6(DVMPA,dvmpa,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLE,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFFUN5(DOUBLE,DVMPY,dvmpy,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV)
#define DVMPY(A2,A3,A4,A5,A6)  CCALLSFFUN5(DVMPY,dvmpy,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,A2,A3,A4,A5,A6)

PROTOCCALLSFFUN3(DOUBLE,DVSUM,dvsum,INT,DOUBLEV,DOUBLEV)
#define DVSUM(A2,A3,A4)  CCALLSFFUN3(DVSUM,dvsum,INT,DOUBLEV,DOUBLEV,A2,A3,A4)

PROTOCCALLSFFUN1(FLOAT,ELLICE,ellice,FLOAT)
#define ELLICE(A2)  CCALLSFFUN1(ELLICE,ellice,FLOAT,A2)

PROTOCCALLSFFUN1(FLOAT,ELLICK,ellick,FLOAT)
#define ELLICK(A2)  CCALLSFFUN1(ELLICK,ellick,FLOAT,A2)

PROTOCCALLSFFUN1(FLOAT,ERF,erf,FLOAT)
#define ERF(A2)  CCALLSFFUN1(ERF,erf,FLOAT,A2)

PROTOCCALLSFFUN1(FLOAT,EXPINT,expint,FLOAT)
#define EXPINT(A2)  CCALLSFFUN1(EXPINT,expint,FLOAT,A2)

PROTOCCALLSFFUN5(FLOAT,FINT,fint,INT,FLOATV,INTV,FLOATV,FLOATV)
#define FINT(A2,A3,A4,A5,A6)  CCALLSFFUN5(FINT,fint,INT,FLOATV,INTV,FLOATV,FLOATV,A2,A3,A4,A5,A6)

PROTOCCALLSFFUN1(FLOAT,FREQ,freq,FLOAT)
#define FREQ(A2)  CCALLSFFUN1(FREQ,freq,FLOAT,A2)

PROTOCCALLSFFUN1(FLOAT,GAMMA,gamma,FLOAT)
#define GAMMA(A2)  CCALLSFFUN1(GAMMA,gamma,FLOAT,A2)

PROTOCCALLSFFUN4(FLOAT,GAUSS,gauss,ROUTINE,FLOAT,FLOAT,FLOAT)
#define GAUSS(A2,A3,A4,A5)  CCALLSFFUN4(GAUSS,gauss,ROUTINE,FLOAT,FLOAT,FLOAT,A2,A3,A4,A5)

PROTOCCALLSFFUN4(FLOAT,GQUAD,gquad,FLOAT,FLOAT,FLOAT,INT)
#define GQUAD(A2,A3,A4,A5)  CCALLSFFUN4(GQUAD,gquad,FLOAT,FLOAT,FLOAT,INT,A2,A3,A4,A5)

PROTOCCALLSFFUN3(INT,LOCATF,locatf,FLOATV,INT,FLOAT)
#define LOCATF(A2,A3,A4)  CCALLSFFUN3(LOCATF,locatf,FLOATV,INT,FLOAT,A2,A3,A4)

PROTOCCALLSFFUN3(INT,LOCATI,locati,INTV,INT,INT)
#define LOCATI(A2,A3,A4)  CCALLSFFUN3(LOCATI,locati,INTV,INT,INT,A2,A3,A4)

PROTOCCALLSFFUN2(FLOAT,PROB,prob,FLOAT,INT)
#define PROB(A2,A3)  CCALLSFFUN2(PROB,prob,FLOAT,INT,A2,A3)

PROTOCCALLSFFUN0(FLOAT,RANF,ranf)
#define RANF() CCALLSFFUN0(RANF,ranf)

PROTOCCALLSFFUN8(FLOAT,RMBIL,rmbil,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV)
#define RMBIL(A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFFUN8(RMBIL,rmbil,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFFUN6(FLOAT,RVMPA,rvmpa,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOAT)
#define RVMPA(A2,A3,A4,A5,A6,A7)  CCALLSFFUN6(RVMPA,rvmpa,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOAT,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFFUN5(FLOAT,RVMPY,rvmpy,INT,FLOATV,FLOATV,FLOATV,FLOATV)
#define RVMPY(A2,A3,A4,A5,A6)  CCALLSFFUN5(RVMPY,rvmpy,INT,FLOATV,FLOATV,FLOATV,FLOATV,A2,A3,A4,A5,A6)

PROTOCCALLSFFUN3(FLOAT,RVSUM,rvsum,INT,FLOATV,FLOATV)
#define RVSUM(A2,A3,A4)  CCALLSFFUN3(RVSUM,rvsum,INT,FLOATV,FLOATV,A2,A3,A4)

PROTOCCALLSFFUN1(FLOAT,SININT,sinint,FLOAT)
#define SININT(A2)  CCALLSFFUN1(SININT,sinint,FLOAT,A2)

PROTOCCALLSFFUN2(LOGICAL,ACCESSF,accessf,STRING,INT)
#define ACCESSF(A2,A3)  CCALLSFFUN2(ACCESSF,accessf,STRING,INT,A2,A3)

PROTOCCALLSFFUN4(FLOAT,AMAXMU,amaxmu,FLOATV,INT,INT,INT)
#define AMAXMU(A2,A3,A4,A5)  CCALLSFFUN4(AMAXMU,amaxmu,FLOATV,INT,INT,INT,A2,A3,A4,A5)

PROTOCCALLSFFUN2(FLOAT,ATG,atg,FLOAT,FLOAT)
#define ATG(A2,A3)  CCALLSFFUN2(ATG,atg,FLOAT,FLOAT,A2,A3)

PROTOCCALLSFFUN1(STRING,CFROMI,cfromi,INT)
#define CFROMI(A2)  CCALLSFFUN1(CFROMI,cfromi,INT,A2)

PROTOCCALLSFFUN1(INT,CHDIRF,chdirf,BYTE)
#define CHDIRF(A2)  CCALLSFFUN1(CHDIRF,chdirf,BYTE,A2)

PROTOCCALLSFFUN2(FLOAT,DOTI,doti,FLOATV,FLOATV)
#define DOTI(A2,A3)  CCALLSFFUN2(DOTI,doti,FLOATV,FLOATV,A2,A3)

PROTOCCALLSFFUN1(FLOAT,FLOARG,floarg,FLOATV)
#define FLOARG(A2)  CCALLSFFUN1(FLOARG,floarg,FLOATV,A2)

PROTOCCALLSFFUN3(INT,ICDECI,icdeci,BYTE,INTV,INTV)
#define ICDECI(A2,A3,A4)  CCALLSFFUN3(ICDECI,icdeci,BYTE,INTV,INTV,A2,A3,A4)

PROTOCCALLSFFUN3(INT,ICEQU,icequ,BYTEV,BYTEV,INT)
#define ICEQU(A2,A3,A4)  CCALLSFFUN3(ICEQU,icequ,BYTEV,BYTEV,INT,A2,A3,A4)

PROTOCCALLSFFUN4(INT,ICFILA,icfila,BYTE,BYTE,INTV,INTV)
#define ICFILA(A2,A3,A4,A5)  CCALLSFFUN4(ICFILA,icfila,BYTE,BYTE,INTV,INTV,A2,A3,A4,A5)

PROTOCCALLSFFUN4(INT,ICFIND,icfind,BYTE,BYTE,INTV,INTV)
#define ICFIND(A2,A3,A4,A5)  CCALLSFFUN4(ICFIND,icfind,BYTE,BYTE,INTV,INTV,A2,A3,A4,A5)

PROTOCCALLSFFUN4(INT,ICFMUL,icfmul,BYTE,BYTE,INTV,INTV)
#define ICFMUL(A2,A3,A4,A5)  CCALLSFFUN4(ICFMUL,icfmul,BYTE,BYTE,INTV,INTV,A2,A3,A4,A5)

PROTOCCALLSFFUN3(INT,ICFNBL,icfnbl,BYTE,INTV,INTV)
#define ICFNBL(A2,A3,A4)  CCALLSFFUN3(ICFNBL,icfnbl,BYTE,INTV,INTV,A2,A3,A4)

PROTOCCALLSFFUN3(INT,ICHEXI,ichexi,BYTE,INTV,INTV)
#define ICHEXI(A2,A3,A4)  CCALLSFFUN3(ICHEXI,ichexi,BYTE,INTV,INTV,A2,A3,A4)

PROTOCCALLSFFUN3(INT,ICINQ,icinq,STRING,STRINGV,INT)
#define ICINQ(A2,A3,A4)  CCALLSFFUN3(ICINQ,icinq,STRING,STRINGV,INT,A2,A3,A4)

PROTOCCALLSFFUN3(INT,ICINQL,icinql,STRING,STRINGV,INT)
#define ICINQL(A2,A3,A4)  CCALLSFFUN3(ICINQL,icinql,STRING,STRINGV,INT,A2,A3,A4)

PROTOCCALLSFFUN3(INT,ICINQU,icinqu,STRING,STRINGV,INT)
#define ICINQU(A2,A3,A4)  CCALLSFFUN3(ICINQU,icinqu,STRING,STRINGV,INT,A2,A3,A4)

PROTOCCALLSFFUN5(INT,ICLOC,icloc,BYTE,INT,BYTE,INT,INT)
#define ICLOC(A2,A3,A4,A5,A6)  CCALLSFFUN5(ICLOC,icloc,BYTE,INT,BYTE,INT,INT,A2,A3,A4,A5,A6)

PROTOCCALLSFFUN5(INT,ICLOCL,iclocl,BYTE,INT,BYTE,INT,INT)
#define ICLOCL(A2,A3,A4,A5,A6)  CCALLSFFUN5(ICLOCL,iclocl,BYTE,INT,BYTE,INT,INT,A2,A3,A4,A5,A6)

PROTOCCALLSFFUN5(INT,ICLOCU,iclocu,BYTE,INT,BYTE,INT,INT)
#define ICLOCU(A2,A3,A4,A5,A6)  CCALLSFFUN5(ICLOCU,iclocu,BYTE,INT,BYTE,INT,INT,A2,A3,A4,A5,A6)

PROTOCCALLSFFUN3(INT,ICLUNS,icluns,BYTE,INT,INT)
#define ICLUNS(A2,A3,A4)  CCALLSFFUN3(ICLUNS,icluns,BYTE,INT,INT,A2,A3,A4)

PROTOCCALLSFFUN2(INT,ICMPCH,icmpch,INT,INT)
#define ICMPCH(A2,A3)  CCALLSFFUN2(ICMPCH,icmpch,INT,INT,A2,A3)

PROTOCCALLSFFUN3(INT,ICNEXT,icnext,BYTE,INTV,INTV)
#define ICNEXT(A2,A3,A4)  CCALLSFFUN3(ICNEXT,icnext,BYTE,INTV,INTV,A2,A3,A4)

PROTOCCALLSFFUN3(INT,ICNTH,icnth,STRING,STRINGV,INT)
#define ICNTH(A2,A3,A4)  CCALLSFFUN3(ICNTH,icnth,STRING,STRINGV,INT,A2,A3,A4)

PROTOCCALLSFFUN3(INT,ICNTHL,icnthl,STRING,STRINGV,INT)
#define ICNTHL(A2,A3,A4)  CCALLSFFUN3(ICNTHL,icnthl,STRING,STRINGV,INT,A2,A3,A4)

PROTOCCALLSFFUN3(INT,ICNTHU,icnthu,STRING,STRINGV,INT)
#define ICNTHU(A2,A3,A4)  CCALLSFFUN3(ICNTHU,icnthu,STRING,STRINGV,INT,A2,A3,A4)

PROTOCCALLSFFUN3(INT,ICNUM,icnum,BYTE,INTV,INTV)
#define ICNUM(A2,A3,A4)  CCALLSFFUN3(ICNUM,icnum,BYTE,INTV,INTV,A2,A3,A4)

PROTOCCALLSFFUN3(INT,ICNUMA,icnuma,BYTE,INTV,INTV)
#define ICNUMA(A2,A3,A4)  CCALLSFFUN3(ICNUMA,icnuma,BYTE,INTV,INTV,A2,A3,A4)

PROTOCCALLSFFUN3(INT,ICNUMU,icnumu,BYTE,INTV,INTV)
#define ICNUMU(A2,A3,A4)  CCALLSFFUN3(ICNUMU,icnumu,BYTE,INTV,INTV,A2,A3,A4)

PROTOCCALLSFFUN3(INT,ICOCTI,icocti,BYTE,INTV,INTV)
#define ICOCTI(A2,A3,A4)  CCALLSFFUN3(ICOCTI,icocti,BYTE,INTV,INTV,A2,A3,A4)

PROTOCCALLSFFUN1(INT,ICTYPE,ictype,BYTE)
#define ICTYPE(A2)  CCALLSFFUN1(ICTYPE,ictype,BYTE,A2)

PROTOCCALLSFFUN1(INT,IFROMC,ifromc,STRING)
#define IFROMC(A2)  CCALLSFFUN1(IFROMC,ifromc,STRING,A2)

PROTOCCALLSFFUN4(INT,INCBYT,incbyt,INTV,PINT,INTV,INTV)
#define INCBYT(A2,A3,A4,A5)  CCALLSFFUN4(INCBYT,incbyt,INTV,PINT,INTV,INTV,A2,A3,A4,A5)

PROTOCCALLSFFUN1(INT,INTARG,intarg,FLOATV)
#define INTARG(A2)  CCALLSFFUN1(INTARG,intarg,FLOATV,A2)

PROTOCCALLSFFUN1(LOGICAL,INTRAC,intrac,FLOAT)
#define INTRAC(A2)  CCALLSFFUN1(INTRAC,intrac,FLOAT,A2)

PROTOCCALLSFFUN3(INT,IUBACK,iuback,INTV,INT,INT)
#define IUBACK(A2,A3,A4)  CCALLSFFUN3(IUBACK,iuback,INTV,INT,INT,A2,A3,A4)

PROTOCCALLSFFUN3(INT,IUBIN,iubin,FLOAT,FLOATV,PLOGICAL)
#define IUBIN(A2,A3,A4)  CCALLSFFUN3(IUBIN,iubin,FLOAT,FLOATV,PLOGICAL,A2,A3,A4)

PROTOCCALLSFFUN4(INT,IUCHAN,iuchan,FLOAT,FLOAT,FLOAT,INT)
#define IUCHAN(A2,A3,A4,A5)  CCALLSFFUN4(IUCHAN,iuchan,FLOAT,FLOAT,FLOAT,INT,A2,A3,A4,A5)

PROTOCCALLSFFUN3(INT,IUCOLA,iucola,INT,INTV,INT)
#define IUCOLA(A2,A3,A4)  CCALLSFFUN3(IUCOLA,iucola,INT,INTV,INT,A2,A3,A4)

PROTOCCALLSFFUN3(INT,IUCOMP,iucomp,INT,INTV,INT)
#define IUCOMP(A2,A3,A4)  CCALLSFFUN3(IUCOMP,iucomp,INT,INTV,INT,A2,A3,A4)

PROTOCCALLSFFUN1(INT,IUEND,iuend,PINT)
#define IUEND(A2)  CCALLSFFUN1(IUEND,iuend,PINT,A2)

PROTOCCALLSFFUN4(INT,IUFILA,iufila,INT,INTV,INT,INT)
#define IUFILA(A2,A3,A4,A5)  CCALLSFFUN4(IUFILA,iufila,INT,INTV,INT,INT,A2,A3,A4,A5)

PROTOCCALLSFFUN4(INT,IUFIND,iufind,INT,INTV,INT,INT)
#define IUFIND(A2,A3,A4,A5)  CCALLSFFUN4(IUFIND,iufind,INT,INTV,INT,INT,A2,A3,A4,A5)

PROTOCCALLSFFUN3(INT,IUFNBL,iufnbl,INTV,INT,INT)
#define IUFNBL(A2,A3,A4)  CCALLSFFUN3(IUFNBL,iufnbl,INTV,INT,INT,A2,A3,A4)

PROTOCCALLSFFUN3(INT,IUFORW,iuforw,INTV,INT,INT)
#define IUFORW(A2,A3,A4)  CCALLSFFUN3(IUFORW,iuforw,INTV,INT,INT,A2,A3,A4)

PROTOCCALLSFFUN3(INT,IUHIST,iuhist,FLOAT,FLOATV,PLOGICAL)
#define IUHIST(A2,A3,A4)  CCALLSFFUN3(IUHIST,iuhist,FLOAT,FLOATV,PLOGICAL,A2,A3,A4)

PROTOCCALLSFFUN4(INT,IUHUNT,iuhunt,INT,INTV,INT,INT)
#define IUHUNT(A2,A3,A4,A5)  CCALLSFFUN4(IUHUNT,iuhunt,INT,INTV,INT,INT,A2,A3,A4,A5)

PROTOCCALLSFFUN3(INT,IULAST,iulast,INT,INTV,INT)
#define IULAST(A2,A3,A4)  CCALLSFFUN3(IULAST,iulast,INT,INTV,INT,A2,A3,A4)

PROTOCCALLSFFUN4(INT,IULOOK,iulook,INT,INTV,INT,INT)
#define IULOOK(A2,A3,A4,A5)  CCALLSFFUN4(IULOOK,iulook,INT,INTV,INT,INT,A2,A3,A4,A5)

PROTOCCALLSFFUN1(INT,IUMODE,iumode,INT)
#define IUMODE(A2)  CCALLSFFUN1(IUMODE,iumode,INT,A2)

PROTOCCALLSFFUN2(INT,IUNEXT,iunext,INTV,INT)
#define IUNEXT(A2,A3)  CCALLSFFUN2(IUNEXT,iunext,INTV,INT,A2,A3)

PROTOCCALLSFFUN5(INT,IUSAME,iusame,INTV,INT,INT,INT,PINT)
#define IUSAME(A2,A3,A4,A5,A6)  CCALLSFFUN5(IUSAME,iusame,INTV,INT,INT,INT,PINT,A2,A3,A4,A5,A6)

PROTOCCALLSFFUN2(INT,IUWEED,iuweed,INTV,INT)
#define IUWEED(A2,A3)  CCALLSFFUN2(IUWEED,iuweed,INTV,INT,A2,A3)

PROTOCCALLSFFUN2(INT,JBIT,jbit,INT,INT)
#define JBIT(A2,A3)  CCALLSFFUN2(JBIT,jbit,INT,INT,A2,A3)

PROTOCCALLSFFUN3(INT,JBYT,jbyt,INT,INT,INT)
#define JBYT(A2,A3,A4)  CCALLSFFUN3(JBYT,jbyt,INT,INT,INT,A2,A3,A4)

PROTOCCALLSFFUN4(INT,JBYTET,jbytet,INT,INT,INT,INT)
#define JBYTET(A2,A3,A4,A5)  CCALLSFFUN4(JBYTET,jbytet,INT,INT,INT,INT,A2,A3,A4,A5)

PROTOCCALLSFFUN4(INT,JBYTOR,jbytor,INT,INT,INT,INT)
#define JBYTOR(A2,A3,A4,A5)  CCALLSFFUN4(JBYTOR,jbytor,INT,INT,INT,INT,A2,A3,A4,A5)

PROTOCCALLSFFUN3(INT,JBYTPK,jbytpk,INTV,INT,INTV)
#define JBYTPK(A2,A3,A4)  CCALLSFFUN3(JBYTPK,jbytpk,INTV,INT,INTV,A2,A3,A4)

PROTOCCALLSFFUN4(INT,JRSBYT,jrsbyt,INT,PINT,INT,INT)
#define JRSBYT(A2,A3,A4,A5)  CCALLSFFUN4(JRSBYT,jrsbyt,INT,PINT,INT,INT,A2,A3,A4,A5)

PROTOCCALLSFFUN1(INT,JUMPAD,jumpad,INT)
#define JUMPAD(A2)  CCALLSFFUN1(JUMPAD,jumpad,INT,A2)

PROTOCCALLSFFUN1(INT,LOCB,locb,FLOATV)
#define LOCB(A2)  CCALLSFFUN1(LOCB,locb,FLOATV,A2)

PROTOCCALLSFFUN6(INT,LOCBYT,locbyt,INT,INTV,INT,INT,INT,INT)
#define LOCBYT(A2,A3,A4,A5,A6,A7)  CCALLSFFUN6(LOCBYT,locbyt,INT,INTV,INT,INT,INT,INT,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFFUN1(INT,LOCF,locf,FLOATV)
#define LOCF(A2)  CCALLSFFUN1(LOCF,locf,FLOATV,A2)

PROTOCCALLSFFUN2(INT,LSTATF,lstatf,STRING,INTV)
#define LSTATF(A2,A3)  CCALLSFFUN2(LSTATF,lstatf,STRING,INTV,A2,A3)

PROTOCCALLSFFUN2(INT,LVMAX,lvmax,FLOATV,INT)
#define LVMAX(A2,A3)  CCALLSFFUN2(LVMAX,lvmax,FLOATV,INT,A2,A3)

PROTOCCALLSFFUN2(INT,LVMAXA,lvmaxa,FLOATV,INT)
#define LVMAXA(A2,A3)  CCALLSFFUN2(LVMAXA,lvmaxa,FLOATV,INT,A2,A3)

PROTOCCALLSFFUN2(INT,LVMIN,lvmin,FLOATV,INT)
#define LVMIN(A2,A3)  CCALLSFFUN2(LVMIN,lvmin,FLOATV,INT,A2,A3)

PROTOCCALLSFFUN2(INT,LVMINA,lvmina,FLOATV,INT)
#define LVMINA(A2,A3)  CCALLSFFUN2(LVMINA,lvmina,FLOATV,INT,A2,A3)

PROTOCCALLSFFUN3(INT,LVSDMI,lvsdmi,DOUBLEV,INT,INT)
#define LVSDMI(A2,A3,A4)  CCALLSFFUN3(LVSDMI,lvsdmi,DOUBLEV,INT,INT,A2,A3,A4)

PROTOCCALLSFFUN3(INT,LVSDMX,lvsdmx,DOUBLEV,INT,INT)
#define LVSDMX(A2,A3,A4)  CCALLSFFUN3(LVSDMX,lvsdmx,DOUBLEV,INT,INT,A2,A3,A4)

PROTOCCALLSFFUN3(INT,LVSIMI,lvsimi,INTV,INT,INT)
#define LVSIMI(A2,A3,A4)  CCALLSFFUN3(LVSIMI,lvsimi,INTV,INT,INT,A2,A3,A4)

PROTOCCALLSFFUN3(INT,LVSIMX,lvsimx,INTV,INT,INT)
#define LVSIMX(A2,A3,A4)  CCALLSFFUN3(LVSIMX,lvsimx,INTV,INT,INT,A2,A3,A4)

PROTOCCALLSFFUN3(INT,LVSMI,lvsmi,FLOATV,INT,INT)
#define LVSMI(A2,A3,A4)  CCALLSFFUN3(LVSMI,lvsmi,FLOATV,INT,INT,A2,A3,A4)

PROTOCCALLSFFUN3(INT,LVSMX,lvsmx,FLOATV,INT,INT)
#define LVSMX(A2,A3,A4)  CCALLSFFUN3(LVSMX,lvsmx,FLOATV,INT,INT,A2,A3,A4)

PROTOCCALLSFFUN4(INT,MBYTET,mbytet,INT,INT,INT,INT)
#define MBYTET(A2,A3,A4,A5)  CCALLSFFUN4(MBYTET,mbytet,INT,INT,INT,INT,A2,A3,A4,A5)

PROTOCCALLSFFUN4(INT,MBYTOR,mbytor,INT,INT,INT,INT)
#define MBYTOR(A2,A3,A4,A5)  CCALLSFFUN4(MBYTOR,mbytor,INT,INT,INT,INT,A2,A3,A4,A5)

PROTOCCALLSFFUN5(INT,MCBYT,mcbyt,INT,INT,INT,INT,INT)
#define MCBYT(A2,A3,A4,A5,A6)  CCALLSFFUN5(MCBYT,mcbyt,INT,INT,INT,INT,INT,A2,A3,A4,A5,A6)

PROTOCCALLSFFUN3(INT,MSBIT,msbit,INT,INT,INT)
#define MSBIT(A2,A3,A4)  CCALLSFFUN3(MSBIT,msbit,INT,INT,INT,A2,A3,A4)

PROTOCCALLSFFUN2(INT,MSBIT0,msbit0,INT,INT)
#define MSBIT0(A2,A3)  CCALLSFFUN2(MSBIT0,msbit0,INT,INT,A2,A3)

PROTOCCALLSFFUN2(INT,MSBIT1,msbit1,INT,INT)
#define MSBIT1(A2,A3)  CCALLSFFUN2(MSBIT1,msbit1,INT,INT,A2,A3)

PROTOCCALLSFFUN4(INT,MSBYT,msbyt,INT,INT,INT,INT)
#define MSBYT(A2,A3,A4,A5)  CCALLSFFUN4(MSBYT,msbyt,INT,INT,INT,INT,A2,A3,A4,A5)

PROTOCCALLSFFUN1(INT,NCDECI,ncdeci,BYTE)
#define NCDECI(A2)  CCALLSFFUN1(NCDECI,ncdeci,BYTE,A2)

PROTOCCALLSFFUN1(INT,NCHEXI,nchexi,BYTE)
#define NCHEXI(A2)  CCALLSFFUN1(NCHEXI,nchexi,BYTE,A2)

PROTOCCALLSFFUN1(INT,NCOCTI,ncocti,BYTE)
#define NCOCTI(A2)  CCALLSFFUN1(NCOCTI,ncocti,BYTE,A2)

PROTOCCALLSFFUN2(FLOAT,PROXIM,proxim,FLOAT,FLOAT)
#define PROXIM(A2,A3)  CCALLSFFUN2(PROXIM,proxim,FLOAT,FLOAT,A2,A3)

PROTOCCALLSFFUN4(FLOAT,PSCALE,pscale,PINT,INT,FLOAT,INT)
#define PSCALE(A2,A3,A4,A5)  CCALLSFFUN4(PSCALE,pscale,PINT,INT,FLOAT,INT,A2,A3,A4,A5)

PROTOCCALLSFFUN2(INT,READLNF,readlnf,STRING,STRING)
#define READLNF(A2,A3)  CCALLSFFUN2(READLNF,readlnf,STRING,STRING,A2,A3)

PROTOCCALLSFFUN2(INT,RENAMEF,renamef,STRING,STRING)
#define RENAMEF(A2,A3)  CCALLSFFUN2(RENAMEF,renamef,STRING,STRING,A2,A3)

PROTOCCALLSFFUN1(FLOAT,RNDM,rndm,INT)
#define RNDM(A2)  CCALLSFFUN1(RNDM,rndm,INT,A2)

PROTOCCALLSFFUN2(INT,SETENVF,setenvf,STRING,STRING)
#define SETENVF(A2,A3)  CCALLSFFUN2(SETENVF,setenvf,STRING,STRING,A2,A3)

PROTOCCALLSFFUN2(INT,STATF,statf,STRING,INTV)
#define STATF(A2,A3)  CCALLSFFUN2(STATF,statf,STRING,INTV,A2,A3)

PROTOCCALLSFFUN1(INT,SYSTEMF,systemf,BYTE)
#define SYSTEMF(A2)  CCALLSFFUN1(SYSTEMF,systemf,BYTE,A2)

PROTOCCALLSFFUN1(INT,UNLINKF,unlinkf,BYTE)
#define UNLINKF(A2)  CCALLSFFUN1(UNLINKF,unlinkf,BYTE,A2)

PROTOCCALLSFFUN2(FLOAT,VASUM,vasum,FLOATV,INT)
#define VASUM(A2,A3)  CCALLSFFUN2(VASUM,vasum,FLOATV,INT,A2,A3)

PROTOCCALLSFFUN3(FLOAT,VDIST,vdist,FLOATV,FLOATV,INT)
#define VDIST(A2,A3,A4)  CCALLSFFUN3(VDIST,vdist,FLOATV,FLOATV,INT,A2,A3,A4)

PROTOCCALLSFFUN3(FLOAT,VDIST2,vdist2,FLOATV,FLOATV,INT)
#define VDIST2(A2,A3,A4)  CCALLSFFUN3(VDIST2,vdist2,FLOATV,FLOATV,INT,A2,A3,A4)

PROTOCCALLSFFUN3(FLOAT,VDOT,vdot,FLOATV,FLOATV,INT)
#define VDOT(A2,A3,A4)  CCALLSFFUN3(VDOT,vdot,FLOATV,FLOATV,INT,A2,A3,A4)

PROTOCCALLSFFUN3(FLOAT,VDOTN,vdotn,FLOATV,FLOATV,INT)
#define VDOTN(A2,A3,A4)  CCALLSFFUN3(VDOTN,vdotn,FLOATV,FLOATV,INT,A2,A3,A4)

PROTOCCALLSFFUN3(FLOAT,VDOTN2,vdotn2,FLOATV,FLOATV,INT)
#define VDOTN2(A2,A3,A4)  CCALLSFFUN3(VDOTN2,vdotn2,FLOATV,FLOATV,INT,A2,A3,A4)

PROTOCCALLSFFUN2(FLOAT,VMAX,vmax,FLOATV,INT)
#define VMAX(A2,A3)  CCALLSFFUN2(VMAX,vmax,FLOATV,INT,A2,A3)

PROTOCCALLSFFUN2(FLOAT,VMAXA,vmaxa,FLOATV,INT)
#define VMAXA(A2,A3)  CCALLSFFUN2(VMAXA,vmaxa,FLOATV,INT,A2,A3)

PROTOCCALLSFFUN2(FLOAT,VMIN,vmin,FLOATV,INT)
#define VMIN(A2,A3)  CCALLSFFUN2(VMIN,vmin,FLOATV,INT,A2,A3)

PROTOCCALLSFFUN2(FLOAT,VMINA,vmina,FLOATV,INT)
#define VMINA(A2,A3)  CCALLSFFUN2(VMINA,vmina,FLOATV,INT,A2,A3)

PROTOCCALLSFFUN2(FLOAT,VMOD,vmod,FLOATV,INT)
#define VMOD(A2,A3)  CCALLSFFUN2(VMOD,vmod,FLOATV,INT,A2,A3)

PROTOCCALLSFFUN2(FLOAT,VSUM,vsum,FLOATV,INT)
#define VSUM(A2,A3)  CCALLSFFUN2(VSUM,vsum,FLOATV,INT,A2,A3)

PROTOCCALLSFFUN1(STRING,CHARN,charn,INT)
#define CHARN(A2)  CCALLSFFUN1(CHARN,charn,INT,A2)

PROTOCCALLSFFUN1(INT,CLEAP,cleap,INT)
#define CLEAP(A2)  CCALLSFFUN1(CLEAP,cleap,INT,A2)

PROTOCCALLSFFUN1(INT,CYEAR4,cyear4,INT)
#define CYEAR4(A2)  CCALLSFFUN1(CYEAR4,cyear4,INT,A2)

PROTOCCALLSFFUN1(INT,ICHARN,icharn,STRING)
#define ICHARN(A2)  CCALLSFFUN1(ICHARN,icharn,STRING,A2)

PROTOCCALLSFFUN1(INT,INDEXA,indexa,STRING)
#define INDEXA(A2)  CCALLSFFUN1(INDEXA,indexa,STRING,A2)

PROTOCCALLSFFUN2(INT,INDEXB,indexb,STRING,STRING)
#define INDEXB(A2,A3)  CCALLSFFUN2(INDEXB,indexb,STRING,STRING,A2,A3)

PROTOCCALLSFFUN2(INT,INDEXC,indexc,STRING,STRING)
#define INDEXC(A2,A3)  CCALLSFFUN2(INDEXC,indexc,STRING,STRING,A2,A3)

PROTOCCALLSFFUN1(INT,INDEXN,indexn,STRING)
#define INDEXN(A2)  CCALLSFFUN1(INDEXN,indexn,STRING,A2)

PROTOCCALLSFFUN1(INT,INDEXS,indexs,STRING)
#define INDEXS(A2)  CCALLSFFUN1(INDEXS,indexs,STRING,A2)

PROTOCCALLSFFUN1(INT,INDXAC,indxac,STRING)
#define INDXAC(A2)  CCALLSFFUN1(INDXAC,indxac,STRING,A2)

PROTOCCALLSFFUN2(INT,INDXBC,indxbc,STRING,STRING)
#define INDXBC(A2,A3)  CCALLSFFUN2(INDXBC,indxbc,STRING,STRING,A2,A3)

PROTOCCALLSFFUN1(INT,INDXNC,indxnc,STRING)
#define INDXNC(A2)  CCALLSFFUN1(INDXNC,indxnc,STRING,A2)

PROTOCCALLSFFUN2(INT,ISCAN,iscan,STRING,STRING)
#define ISCAN(A2,A3)  CCALLSFFUN2(ISCAN,iscan,STRING,STRING,A2,A3)

PROTOCCALLSFFUN1(INT,NUMBIT,numbit,INT)
#define NUMBIT(A2)  CCALLSFFUN1(NUMBIT,numbit,INT,A2)

PROTOCCALLSFFUN0(LOGICAL,RALPH,ralph)
#define RALPH() CCALLSFFUN0(RALPH,ralph)

PROTOCCALLSFFUN1(FLOAT,RCHAR,rchar,STRING)
#define RCHAR(A2)  CCALLSFFUN1(RCHAR,rchar,STRING,A2)

PROTOCCALLSFFUN0(LOGICAL,RDENDB,rdendb)
#define RDENDB() CCALLSFFUN0(RDENDB,rdendb)

PROTOCCALLSFFUN0(LOGICAL,RDIGI,rdigi)
#define RDIGI() CCALLSFFUN0(RDIGI,rdigi)

PROTOCCALLSFFUN1(STRING,RDUPCH,rdupch,STRING)
#define RDUPCH(A2)  CCALLSFFUN1(RDUPCH,rdupch,STRING,A2)

PROTOCCALLSFFUN2(STRING,REPEAT,repeat,STRING,INT)
#define REPEAT(A2,A3)  CCALLSFFUN2(REPEAT,repeat,STRING,INT,A2,A3)

PROTOCCALLSFFUN2(STRING,SPACES,spaces,STRING,INT)
#define SPACES(A2,A3)  CCALLSFFUN2(SPACES,spaces,STRING,INT,A2,A3)

PROTOCCALLSFFUN3(STRING,STRIP,strip,STRING,STRING,STRING)
#define STRIP(A2,A3,A4)  CCALLSFFUN3(STRIP,strip,STRING,STRING,STRING,A2,A3,A4)

PROTOCCALLSFFUN3(STRING,SUBWORD,subword,STRING,INT,INT)
#define SUBWORD(A2,A3,A4)  CCALLSFFUN3(SUBWORD,subword,STRING,INT,INT,A2,A3,A4)

PROTOCCALLSFFUN2(INT,VERIFY,verify,STRING,STRING)
#define VERIFY(A2,A3)  CCALLSFFUN2(VERIFY,verify,STRING,STRING,A2,A3)

PROTOCCALLSFFUN2(STRING,WORD,word,STRING,INT)
#define WORD(A2,A3)  CCALLSFFUN2(WORD,word,STRING,INT,A2,A3)

PROTOCCALLSFFUN1(INT,WORDS,words,STRING)
#define WORDS(A2)  CCALLSFFUN1(WORDS,words,STRING,A2)


/* Subroutines/Functions with COMPLEX not supported ***

#define CCMMPY(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(CCMMPY,ccmmpy,INT,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8,A9)
#define CCUMPY(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(CCUMPY,ccumpy,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8)
#define CEQINV(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(CEQINV,ceqinv,INT,COMPLEXVV,INT,FLOATV,PINT,INT,COMPLEXV,A1,A2,A3,A4,A5,A6,A7)
#define CEQN(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(CEQN,ceqn,INT,COMPLEXVV,INT,FLOATV,PINT,INT,COMPLEXV,A1,A2,A3,A4,A5,A6,A7)
#define CFACT(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(CFACT,cfact,INT,PCOMPLEX,INT,PINT,PINT,PCOMPLEX,PINT,A1,A2,A3,A4,A5,A6,A7)
#define CFEQN(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(CFEQN,cfeqn,INT,PCOMPLEX,INT,INTV,INT,PCOMPLEX,A1,A2,A3,A4,A5,A6)
#define CFFT(A1,A2)  CCALLSFSUB2(CFFT,cfft,PCOMPLEX,INT,A1,A2)
#define CFINV(A1,A2,A3,A4)  CCALLSFSUB4(CFINV,cfinv,INT,PCOMPLEX,INT,INTV,A1,A2,A3,A4)
#define CINV(A1,A2,A3,A4,A5)  CCALLSFSUB5(CINV,cinv,INT,COMPLEXVV,INT,FLOATV,PINT,A1,A2,A3,A4,A5)
#define CMADD(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)  CCALLSFSUB11(CMADD,cmadd,INT,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)
PROTOCCALLSFFUN8(COMPLEX,CMBIL,cmbil,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV)
#define CMBIL(A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFFUN8(CMBIL,cmbil,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,A2,A3,A4,A5,A6,A7,A8,A9)
#define CMCPY(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(CMCPY,cmcpy,INT,INT,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8)
#define CMMLA(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(CMMLA,cmmla,INT,INT,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)
#define CMMLS(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(CMMLS,cmmls,INT,INT,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)
#define CMMLT(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13)  CCALLSFSUB13(CMMLT,cmmlt,INT,INT,INT,PCOMPLEX,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,COMPLEXV,PCOMPLEX,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13)
#define CMMLTC(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13)  CCALLSFSUB13(CMMLTC,cmmltc,INT,INT,INT,PCOMPLEX,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,COMPLEXV,PCOMPLEX,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13)
#define CMMNA(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(CMMNA,cmmna,INT,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8,A9)
#define CMMNS(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(CMMNS,cmmns,INT,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8,A9)
#define CMMPA(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(CMMPA,cmmpa,INT,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8,A9)
#define CMMPS(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(CMMPS,cmmps,INT,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8,A9)
#define CMMPY(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(CMMPY,cmmpy,INT,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8,A9)
#define CMMPYC(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(CMMPYC,cmmpyc,INT,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8,A9)
#define CMNMA(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(CMNMA,cmnma,INT,INT,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)
#define CMNMS(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(CMNMS,cmnms,INT,INT,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)
#define CMRAN(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(CMRAN,cmran,INT,INT,COMPLEX,COMPLEX,PCOMPLEX,COMPLEXV,COMPLEXV,A1,A2,A3,A4,A5,A6,A7)
#define CMSCL(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(CMSCL,cmscl,INT,INT,COMPLEX,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8,A9)
#define CMSET(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(CMSET,cmset,INT,INT,COMPLEX,PCOMPLEX,COMPLEXV,COMPLEXV,A1,A2,A3,A4,A5,A6)
#define CMSUB(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)  CCALLSFSUB11(CMSUB,cmsub,INT,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)
#define CMUTL(A1,A2,A3,A4)  CCALLSFSUB4(CMUTL,cmutl,INT,PCOMPLEX,COMPLEXV,COMPLEXV,A1,A2,A3,A4)
#define CRSCL(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)  CCALLSFSUB10(CRSCL,crscl,INT,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)
#define CUMNA(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(CUMNA,cumna,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8)
#define CUMNS(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(CUMNS,cumns,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8)
#define CUMPA(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(CUMPA,cumpa,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8)
#define CUMPS(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(CUMPS,cumps,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8)
#define CUMPY(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(CUMPY,cumpy,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8)
#define CUMPYC(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(CUMPYC,cumpyc,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8)
#define CVADD(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(CVADD,cvadd,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5,A6,A7)
#define CVCPY(A1,A2,A3,A4,A5)  CCALLSFSUB5(CVCPY,cvcpy,INT,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5)
#define CVDIV(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(CVDIV,cvdiv,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,PINT,A1,A2,A3,A4,A5,A6,A7,A8)
PROTOCCALLSFFUN6(COMPLEX,CVMPA,cvmpa,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEX)
#define CVMPA(A2,A3,A4,A5,A6,A7)  CCALLSFFUN6(CVMPA,cvmpa,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEX,A2,A3,A4,A5,A6,A7)
PROTOCCALLSFFUN6(COMPLEX,CVMPAC,cvmpac,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEX)
#define CVMPAC(A2,A3,A4,A5,A6,A7)  CCALLSFFUN6(CVMPAC,cvmpac,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEX,A2,A3,A4,A5,A6,A7)
PROTOCCALLSFFUN5(COMPLEX,CVMPY,cvmpy,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV)
#define CVMPY(A2,A3,A4,A5,A6)  CCALLSFFUN5(CVMPY,cvmpy,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,A2,A3,A4,A5,A6)
PROTOCCALLSFFUN5(COMPLEX,CVMPYC,cvmpyc,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV)
#define CVMPYC(A2,A3,A4,A5,A6)  CCALLSFFUN5(CVMPYC,cvmpyc,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,A2,A3,A4,A5,A6)
#define CVMUL(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(CVMUL,cvmul,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5,A6,A7)
#define CVMULA(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(CVMULA,cvmula,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5,A6,A7)
#define CVMUNA(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(CVMUNA,cvmuna,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5,A6,A7)
#define CVRAN(A1,A2,A3,A4,A5)  CCALLSFSUB5(CVRAN,cvran,INT,COMPLEX,COMPLEX,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5)
#define CVSCA(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(CVSCA,cvsca,INT,COMPLEX,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8)
#define CVSCL(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(CVSCL,cvscl,INT,COMPLEX,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5,A6)
#define CVSCS(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(CVSCS,cvscs,INT,COMPLEX,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5,A6,A7,A8)
#define CVSET(A1,A2,A3,A4)  CCALLSFSUB4(CVSET,cvset,INT,COMPLEX,PCOMPLEX,COMPLEXV,A1,A2,A3,A4)
#define CVSUB(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(CVSUB,cvsub,INT,COMPLEXV,COMPLEXV,COMPLEXV,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5,A6,A7)
PROTOCCALLSFFUN3(COMPLEX,CVSUM,cvsum,INT,COMPLEXV,COMPLEXV)
#define CVSUM(A2,A3,A4)  CCALLSFFUN3(CVSUM,cvsum,INT,COMPLEXV,COMPLEXV,A2,A3,A4)
#define CVXCH(A1,A2,A3,A4,A5)  CCALLSFSUB5(CVXCH,cvxch,INT,PCOMPLEX,COMPLEXV,PCOMPLEX,COMPLEXV,A1,A2,A3,A4,A5)
#define MULLER(A1,A2,A3)  CCALLSFSUB3(MULLER,muller,FLOATV,INT,PCOMPLEX,A1,A2,A3)
#define RFFT(A1,A2)  CCALLSFSUB2(RFFT,rfft,PCOMPLEX,INT,A1,A2)

*** End Subroutines/Functions using COMPLEX */


PROTOCCALLSFSUB7(D106XX,d106xx,INT,FLOAT,FLOAT,FLOAT,INT,PFLOAT,PFLOAT)
#define D106XX(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(D106XX,d106xx,INT,FLOAT,FLOAT,FLOAT,INT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB14(D509HI,d509hi,PFLOAT,PFLOAT,FLOAT,FLOAT,PFLOAT,FLOAT,PINT,INT,FLOAT,PINT,FLOAT,FLOAT,PFLOAT,PFLOAT)
#define D509HI(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14)  CCALLSFSUB14(D509HI,d509hi,PFLOAT,PFLOAT,FLOAT,FLOAT,PFLOAT,FLOAT,PINT,INT,FLOAT,PINT,FLOAT,FLOAT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14)

PROTOCCALLSFSUB7(DBEQN,dbeqn,INT,INT,PDOUBLE,INT,PINT,INT,PDOUBLE)
#define DBEQN(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(DBEQN,dbeqn,INT,INT,PDOUBLE,INT,PINT,INT,PDOUBLE,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB7(DEQINV,deqinv,INT,DOUBLEVV,INT,FLOATV,PINT,INT,DOUBLEV)
#define DEQINV(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(DEQINV,deqinv,INT,DOUBLEVV,INT,FLOATV,PINT,INT,DOUBLEV,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB7(DEQN,deqn,INT,DOUBLEVV,INT,FLOATV,PINT,INT,DOUBLEV)
#define DEQN(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(DEQN,deqn,INT,DOUBLEVV,INT,FLOATV,PINT,INT,DOUBLEV,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB7(DFACT,dfact,INT,PDOUBLE,INT,PINT,PINT,PDOUBLE,PINT)
#define DFACT(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(DFACT,dfact,INT,PDOUBLE,INT,PINT,PINT,PDOUBLE,PINT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB6(DFEQN,dfeqn,INT,PDOUBLE,INT,INTV,INT,PDOUBLE)
#define DFEQN(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(DFEQN,dfeqn,INT,PDOUBLE,INT,INTV,INT,PDOUBLE,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB4(DFINV,dfinv,INT,PDOUBLE,INT,INTV)
#define DFINV(A1,A2,A3,A4)  CCALLSFSUB4(DFINV,dfinv,INT,PDOUBLE,INT,INTV,A1,A2,A3,A4)

PROTOCCALLSFSUB5(DINV,dinv,INT,DOUBLEVV,INT,FLOATV,PINT)
#define DINV(A1,A2,A3,A4,A5)  CCALLSFSUB5(DINV,dinv,INT,DOUBLEVV,INT,FLOATV,PINT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB11(DMADD,dmadd,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV)
#define DMADD(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)  CCALLSFSUB11(DMADD,dmadd,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)

PROTOCCALLSFSUB8(DMCPY,dmcpy,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV)
#define DMCPY(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(DMCPY,dmcpy,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB12(DMMLA,dmmla,INT,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV)
#define DMMLA(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(DMMLA,dmmla,INT,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB12(DMMLS,dmmls,INT,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV)
#define DMMLS(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(DMMLS,dmmls,INT,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB13(DMMLT,dmmlt,INT,INT,INT,PDOUBLE,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV,PDOUBLE)
#define DMMLT(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13)  CCALLSFSUB13(DMMLT,dmmlt,INT,INT,INT,PDOUBLE,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV,PDOUBLE,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13)

PROTOCCALLSFSUB9(DMMNA,dmmna,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV)
#define DMMNA(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(DMMNA,dmmna,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB9(DMMNS,dmmns,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV)
#define DMMNS(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(DMMNS,dmmns,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB9(DMMPA,dmmpa,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV)
#define DMMPA(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(DMMPA,dmmpa,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB9(DMMPS,dmmps,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV)
#define DMMPS(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(DMMPS,dmmps,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB9(DMMPY,dmmpy,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV)
#define DMMPY(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(DMMPY,dmmpy,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB12(DMNMA,dmnma,INT,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV)
#define DMNMA(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(DMNMA,dmnma,INT,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB12(DMNMS,dmnms,INT,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV)
#define DMNMS(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(DMNMS,dmnms,INT,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB7(DMRAN,dmran,INT,INT,DOUBLE,DOUBLE,PDOUBLE,DOUBLEV,DOUBLEV)
#define DMRAN(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(DMRAN,dmran,INT,INT,DOUBLE,DOUBLE,PDOUBLE,DOUBLEV,DOUBLEV,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB9(DMSCL,dmscl,INT,INT,DOUBLE,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV)
#define DMSCL(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(DMSCL,dmscl,INT,INT,DOUBLE,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB6(DMSET,dmset,INT,INT,DOUBLE,PDOUBLE,DOUBLEV,DOUBLEV)
#define DMSET(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(DMSET,dmset,INT,INT,DOUBLE,PDOUBLE,DOUBLEV,DOUBLEV,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB11(DMSUB,dmsub,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV)
#define DMSUB(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)  CCALLSFSUB11(DMSUB,dmsub,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)

PROTOCCALLSFSUB4(DMUTL,dmutl,INT,PDOUBLE,DOUBLEV,DOUBLEV)
#define DMUTL(A1,A2,A3,A4)  CCALLSFSUB4(DMUTL,dmutl,INT,PDOUBLE,DOUBLEV,DOUBLEV,A1,A2,A3,A4)

PROTOCCALLSFSUB6(DRKSTP,drkstp,INT,DOUBLE,PDOUBLE,PDOUBLE,FLOAT,PDOUBLE)
#define DRKSTP(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(DRKSTP,drkstp,INT,DOUBLE,PDOUBLE,PDOUBLE,FLOAT,PDOUBLE,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB10(DRSCL,drscl,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV)
#define DRSCL(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)  CCALLSFSUB10(DRSCL,drscl,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)

PROTOCCALLSFSUB6(DSEQN,dseqn,INT,PDOUBLE,INT,PINT,INT,PDOUBLE)
#define DSEQN(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(DSEQN,dseqn,INT,PDOUBLE,INT,PINT,INT,PDOUBLE,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB6(DSFACT,dsfact,INT,PDOUBLE,INT,PINT,PDOUBLE,PINT)
#define DSFACT(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(DSFACT,dsfact,INT,PDOUBLE,INT,PINT,PDOUBLE,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB5(DSFEQN,dsfeqn,INT,PDOUBLE,INT,INT,PDOUBLE)
#define DSFEQN(A1,A2,A3,A4,A5)  CCALLSFSUB5(DSFEQN,dsfeqn,INT,PDOUBLE,INT,INT,PDOUBLE,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB3(DSFINV,dsfinv,INT,PDOUBLE,INT)
#define DSFINV(A1,A2,A3)  CCALLSFSUB3(DSFINV,dsfinv,INT,PDOUBLE,INT,A1,A2,A3)

PROTOCCALLSFSUB4(DSINV,dsinv,INT,PDOUBLE,INT,PINT)
#define DSINV(A1,A2,A3,A4)  CCALLSFSUB4(DSINV,dsinv,INT,PDOUBLE,INT,PINT,A1,A2,A3,A4)

PROTOCCALLSFSUB8(DUMNA,dumna,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV)
#define DUMNA(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(DUMNA,dumna,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB8(DUMNS,dumns,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV)
#define DUMNS(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(DUMNS,dumns,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB8(DUMPA,dumpa,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV)
#define DUMPA(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(DUMPA,dumpa,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB8(DUMPS,dumps,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV)
#define DUMPS(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(DUMPS,dumps,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB8(DUMPY,dumpy,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV)
#define DUMPY(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(DUMPY,dumpy,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB7(DVADD,dvadd,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV)
#define DVADD(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(DVADD,dvadd,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB5(DVCPY,dvcpy,INT,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV)
#define DVCPY(A1,A2,A3,A4,A5)  CCALLSFSUB5(DVCPY,dvcpy,INT,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB8(DVDIV,dvdiv,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,PINT)
#define DVDIV(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(DVDIV,dvdiv,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,PINT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB7(DVMUL,dvmul,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV)
#define DVMUL(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(DVMUL,dvmul,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB7(DVMULA,dvmula,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV)
#define DVMULA(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(DVMULA,dvmula,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB7(DVMUNA,dvmuna,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV)
#define DVMUNA(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(DVMUNA,dvmuna,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB5(DVRAN,dvran,INT,DOUBLE,DOUBLE,PDOUBLE,DOUBLEV)
#define DVRAN(A1,A2,A3,A4,A5)  CCALLSFSUB5(DVRAN,dvran,INT,DOUBLE,DOUBLE,PDOUBLE,DOUBLEV,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB8(DVSCA,dvsca,INT,DOUBLE,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV)
#define DVSCA(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(DVSCA,dvsca,INT,DOUBLE,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB6(DVSCL,dvscl,INT,DOUBLE,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV)
#define DVSCL(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(DVSCL,dvscl,INT,DOUBLE,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB8(DVSCS,dvscs,INT,DOUBLE,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV)
#define DVSCS(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(DVSCS,dvscs,INT,DOUBLE,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB4(DVSET,dvset,INT,DOUBLE,PDOUBLE,DOUBLEV)
#define DVSET(A1,A2,A3,A4)  CCALLSFSUB4(DVSET,dvset,INT,DOUBLE,PDOUBLE,DOUBLEV,A1,A2,A3,A4)

PROTOCCALLSFSUB7(DVSUB,dvsub,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV)
#define DVSUB(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(DVSUB,dvsub,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB5(DVXCH,dvxch,INT,PDOUBLE,DOUBLEV,PDOUBLE,DOUBLEV)
#define DVXCH(A1,A2,A3,A4,A5)  CCALLSFSUB5(DVXCH,dvxch,INT,PDOUBLE,DOUBLEV,PDOUBLE,DOUBLEV,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB7(DZERO,dzero,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,DOUBLE,INT,DOUBLE)
#define DZERO(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(DZERO,dzero,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,DOUBLE,INT,DOUBLE,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB3(E208PR,e208pr,INT,PINT,INT)
#define E208PR(A1,A2,A3)  CCALLSFSUB3(E208PR,e208pr,INT,PINT,INT,A1,A2,A3)

PROTOCCALLSFSUB5(F010PR,f010pr,STRING,INT,INT,INT,INT)
#define F010PR(A1,A2,A3,A4,A5)  CCALLSFSUB5(F010PR,f010pr,STRING,INT,INT,INT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB5(GSET,gset,FLOAT,FLOAT,INT,FLOATV,FLOATV)
#define GSET(A1,A2,A3,A4,A5)  CCALLSFSUB5(GSET,gset,FLOAT,FLOAT,INT,FLOATV,FLOATV,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB1(KERNNT,kernnt,INT)
#define KERNNT(A1)  CCALLSFSUB1(KERNNT,kernnt,INT,A1)

PROTOCCALLSFSUB4(KERSET,kerset,STRING,INT,INT,INT)
#define KERSET(A1,A2,A3,A4)  CCALLSFSUB4(KERSET,kerset,STRING,INT,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB6(LLSQ,llsq,INT,FLOATV,FLOATV,PFLOAT,PFLOAT,PINT)
#define LLSQ(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(LLSQ,llsq,INT,FLOATV,FLOATV,PFLOAT,PFLOAT,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB5(LSQ,lsq,INT,FLOATV,FLOATV,INT,PFLOAT)
#define LSQ(A1,A2,A3,A4,A5)  CCALLSFSUB5(LSQ,lsq,INT,FLOATV,FLOATV,INT,PFLOAT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB9(MINVAR,minvar,PFLOAT,PFLOAT,PFLOAT,FLOAT,FLOAT,INT,FLOAT,FLOAT,FLOAT)
#define MINVAR(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(MINVAR,minvar,PFLOAT,PFLOAT,PFLOAT,FLOAT,FLOAT,INT,FLOAT,FLOAT,FLOAT,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB5(POLINT,polint,FLOATV,FLOATV,INT,FLOAT,PFLOAT)
#define POLINT(A1,A2,A3,A4,A5)  CCALLSFSUB5(POLINT,polint,FLOATV,FLOATV,INT,FLOAT,PFLOAT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB3(RAN2VS,ran2vs,FLOAT,PFLOAT,PFLOAT)
#define RAN2VS(A1,A2,A3)  CCALLSFSUB3(RAN2VS,ran2vs,FLOAT,PFLOAT,PFLOAT,A1,A2,A3)

PROTOCCALLSFSUB4(RAN3VS,ran3vs,FLOAT,PFLOAT,PFLOAT,PFLOAT)
#define RAN3VS(A1,A2,A3,A4)  CCALLSFSUB4(RAN3VS,ran3vs,FLOAT,PFLOAT,PFLOAT,PFLOAT,A1,A2,A3,A4)

PROTOCCALLSFSUB1(RANGET,ranget,PDOUBLE)
#define RANGET(A1)  CCALLSFSUB1(RANGET,ranget,PDOUBLE,A1)

PROTOCCALLSFSUB7(RBEQN,rbeqn,INT,INT,PFLOAT,INT,PINT,INT,PFLOAT)
#define RBEQN(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(RBEQN,rbeqn,INT,INT,PFLOAT,INT,PINT,INT,PFLOAT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB7(REQINV,reqinv,INT,FLOATVV,INT,FLOATV,PINT,INT,FLOATV)
#define REQINV(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(REQINV,reqinv,INT,FLOATVV,INT,FLOATV,PINT,INT,FLOATV,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB7(REQN,reqn,INT,FLOATVV,INT,FLOATV,PINT,INT,FLOATV)
#define REQN(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(REQN,reqn,INT,FLOATVV,INT,FLOATV,PINT,INT,FLOATV,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB7(RFACT,rfact,INT,PFLOAT,INT,PINT,PINT,PFLOAT,PINT)
#define RFACT(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(RFACT,rfact,INT,PFLOAT,INT,PINT,PINT,PFLOAT,PINT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB6(RFEQN,rfeqn,INT,PFLOAT,INT,INTV,INT,PFLOAT)
#define RFEQN(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(RFEQN,rfeqn,INT,PFLOAT,INT,INTV,INT,PFLOAT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB4(RFINV,rfinv,INT,PFLOAT,INT,INTV)
#define RFINV(A1,A2,A3,A4)  CCALLSFSUB4(RFINV,rfinv,INT,PFLOAT,INT,INTV,A1,A2,A3,A4)

PROTOCCALLSFSUB5(RINV,rinv,INT,FLOATVV,INT,FLOATV,PINT)
#define RINV(A1,A2,A3,A4,A5)  CCALLSFSUB5(RINV,rinv,INT,FLOATVV,INT,FLOATV,PINT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB6(RKSTP,rkstp,INT,FLOAT,PFLOAT,PFLOAT,FLOAT,PFLOAT)
#define RKSTP(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(RKSTP,rkstp,INT,FLOAT,PFLOAT,PFLOAT,FLOAT,PFLOAT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB11(RMADD,rmadd,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,FLOATV)
#define RMADD(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)  CCALLSFSUB11(RMADD,rmadd,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)

PROTOCCALLSFSUB8(RMCPY,rmcpy,INT,INT,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,FLOATV)
#define RMCPY(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(RMCPY,rmcpy,INT,INT,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB12(RMMLA,rmmla,INT,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,FLOATV)
#define RMMLA(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(RMMLA,rmmla,INT,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB12(RMMLS,rmmls,INT,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,FLOATV)
#define RMMLS(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(RMMLS,rmmls,INT,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB13(RMMLT,rmmlt,INT,INT,INT,PFLOAT,FLOATV,FLOATV,PFLOAT,FLOATV,FLOATV,PFLOAT,FLOATV,FLOATV,PFLOAT)
#define RMMLT(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13)  CCALLSFSUB13(RMMLT,rmmlt,INT,INT,INT,PFLOAT,FLOATV,FLOATV,PFLOAT,FLOATV,FLOATV,PFLOAT,FLOATV,FLOATV,PFLOAT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13)

PROTOCCALLSFSUB9(RMMNA,rmmna,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV)
#define RMMNA(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(RMMNA,rmmna,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB9(RMMNS,rmmns,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV)
#define RMMNS(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(RMMNS,rmmns,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB9(RMMPA,rmmpa,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV)
#define RMMPA(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(RMMPA,rmmpa,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB9(RMMPS,rmmps,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV)
#define RMMPS(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(RMMPS,rmmps,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB9(RMMPY,rmmpy,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV)
#define RMMPY(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(RMMPY,rmmpy,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB12(RMNMA,rmnma,INT,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,FLOATV)
#define RMNMA(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(RMNMA,rmnma,INT,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB12(RMNMS,rmnms,INT,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,FLOATV)
#define RMNMS(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(RMNMS,rmnms,INT,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB7(RMRAN,rmran,INT,INT,FLOAT,FLOAT,PFLOAT,FLOATV,FLOATV)
#define RMRAN(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(RMRAN,rmran,INT,INT,FLOAT,FLOAT,PFLOAT,FLOATV,FLOATV,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB9(RMSCL,rmscl,INT,INT,FLOAT,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,FLOATV)
#define RMSCL(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(RMSCL,rmscl,INT,INT,FLOAT,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB6(RMSET,rmset,INT,INT,FLOAT,PFLOAT,FLOATV,FLOATV)
#define RMSET(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(RMSET,rmset,INT,INT,FLOAT,PFLOAT,FLOATV,FLOATV,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB11(RMSUB,rmsub,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,FLOATV)
#define RMSUB(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)  CCALLSFSUB11(RMSUB,rmsub,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)

PROTOCCALLSFSUB4(RMUTL,rmutl,INT,PFLOAT,FLOATV,FLOATV)
#define RMUTL(A1,A2,A3,A4)  CCALLSFSUB4(RMUTL,rmutl,INT,PFLOAT,FLOATV,FLOATV,A1,A2,A3,A4)

PROTOCCALLSFSUB10(RRSCL,rrscl,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,FLOATV)
#define RRSCL(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)  CCALLSFSUB10(RRSCL,rrscl,INT,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)

PROTOCCALLSFSUB6(RSEQN,rseqn,INT,PFLOAT,INT,PINT,INT,PFLOAT)
#define RSEQN(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(RSEQN,rseqn,INT,PFLOAT,INT,PINT,INT,PFLOAT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB6(RSFACT,rsfact,INT,PFLOAT,INT,PINT,PFLOAT,PINT)
#define RSFACT(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(RSFACT,rsfact,INT,PFLOAT,INT,PINT,PFLOAT,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB5(RSFEQN,rsfeqn,INT,PFLOAT,INT,INT,PFLOAT)
#define RSFEQN(A1,A2,A3,A4,A5)  CCALLSFSUB5(RSFEQN,rsfeqn,INT,PFLOAT,INT,INT,PFLOAT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB3(RSFINV,rsfinv,INT,PFLOAT,INT)
#define RSFINV(A1,A2,A3)  CCALLSFSUB3(RSFINV,rsfinv,INT,PFLOAT,INT,A1,A2,A3)

PROTOCCALLSFSUB4(RSINV,rsinv,INT,PFLOAT,INT,PINT)
#define RSINV(A1,A2,A3,A4)  CCALLSFSUB4(RSINV,rsinv,INT,PFLOAT,INT,PINT,A1,A2,A3,A4)

PROTOCCALLSFSUB8(RUMNA,rumna,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV)
#define RUMNA(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(RUMNA,rumna,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB8(RUMNS,rumns,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV)
#define RUMNS(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(RUMNS,rumns,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB8(RUMPA,rumpa,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV)
#define RUMPA(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(RUMPA,rumpa,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB8(RUMPS,rumps,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV)
#define RUMPS(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(RUMPS,rumps,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB8(RUMPY,rumpy,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV)
#define RUMPY(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(RUMPY,rumpy,INT,FLOATV,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB7(RVADD,rvadd,INT,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV)
#define RVADD(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(RVADD,rvadd,INT,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB5(RVCPY,rvcpy,INT,FLOATV,FLOATV,PFLOAT,FLOATV)
#define RVCPY(A1,A2,A3,A4,A5)  CCALLSFSUB5(RVCPY,rvcpy,INT,FLOATV,FLOATV,PFLOAT,FLOATV,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB8(RVDIV,rvdiv,INT,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,PINT)
#define RVDIV(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(RVDIV,rvdiv,INT,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,PINT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB7(RVMUL,rvmul,INT,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV)
#define RVMUL(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(RVMUL,rvmul,INT,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB7(RVMULA,rvmula,INT,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV)
#define RVMULA(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(RVMULA,rvmula,INT,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB7(RVMUNA,rvmuna,INT,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV)
#define RVMUNA(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(RVMUNA,rvmuna,INT,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB5(RVRAN,rvran,INT,FLOAT,FLOAT,PFLOAT,FLOATV)
#define RVRAN(A1,A2,A3,A4,A5)  CCALLSFSUB5(RVRAN,rvran,INT,FLOAT,FLOAT,PFLOAT,FLOATV,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB8(RVSCA,rvsca,INT,FLOAT,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV)
#define RVSCA(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(RVSCA,rvsca,INT,FLOAT,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB6(RVSCL,rvscl,INT,FLOAT,FLOATV,FLOATV,PFLOAT,FLOATV)
#define RVSCL(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(RVSCL,rvscl,INT,FLOAT,FLOATV,FLOATV,PFLOAT,FLOATV,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB8(RVSCS,rvscs,INT,FLOAT,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV)
#define RVSCS(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(RVSCS,rvscs,INT,FLOAT,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB4(RVSET,rvset,INT,FLOAT,PFLOAT,FLOATV)
#define RVSET(A1,A2,A3,A4)  CCALLSFSUB4(RVSET,rvset,INT,FLOAT,PFLOAT,FLOATV,A1,A2,A3,A4)

PROTOCCALLSFSUB7(RVSUB,rvsub,INT,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV)
#define RVSUB(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(RVSUB,rvsub,INT,FLOATV,FLOATV,FLOATV,FLOATV,PFLOAT,FLOATV,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB5(RVXCH,rvxch,INT,PFLOAT,FLOATV,PFLOAT,FLOATV)
#define RVXCH(A1,A2,A3,A4,A5)  CCALLSFSUB5(RVXCH,rvxch,INT,PFLOAT,FLOATV,PFLOAT,FLOATV,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB7(RZERO,rzero,FLOAT,FLOAT,PFLOAT,PFLOAT,FLOAT,INT,FLOAT)
#define RZERO(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(RZERO,rzero,FLOAT,FLOAT,PFLOAT,PFLOAT,FLOAT,INT,FLOAT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB4(TMPRNT,tmprnt,STRING,INT,INT,INT)
#define TMPRNT(A1,A2,A3,A4)  CCALLSFSUB4(TMPRNT,tmprnt,STRING,INT,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB5(VRAN2S,vran2s,FLOAT,INT,PFLOAT,PFLOAT,PFLOAT)
#define VRAN2S(A1,A2,A3,A4,A5)  CCALLSFSUB5(VRAN2S,vran2s,FLOAT,INT,PFLOAT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB6(VRAN3S,vran3s,FLOAT,INT,PFLOAT,PFLOAT,PFLOAT,PFLOAT)
#define VRAN3S(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(VRAN3S,vran3s,FLOAT,INT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB0(ABEND,abend)
#define ABEND() CCALLSFSUB0(ABEND,abend)

PROTOCCALLSFSUB4(BITPOS,bitpos,INTV,INT,PINT,PINT)
#define BITPOS(A1,A2,A3,A4)  CCALLSFSUB4(BITPOS,bitpos,INTV,INT,PINT,PINT,A1,A2,A3,A4)

PROTOCCALLSFSUB4(BLOW,blow,FLOATV,INTV,INTV,INT)
#define BLOW(A1,A2,A3,A4)  CCALLSFSUB4(BLOW,blow,FLOATV,INTV,INTV,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB4(BUNCH,bunch,INTV,FLOATV,INTV,INT)
#define BUNCH(A1,A2,A3,A4)  CCALLSFSUB4(BUNCH,bunch,INTV,FLOATV,INTV,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB5(CBYT,cbyt,INT,INT,PINT,INT,INT)
#define CBYT(A1,A2,A3,A4,A5)  CCALLSFSUB5(CBYT,cbyt,INT,INT,PINT,INT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB3(CCOPIV,ccopiv,BYTEV,PBYTE,INT)
#define CCOPIV(A1,A2,A3)  CCALLSFSUB3(CCOPIV,ccopiv,BYTEV,PBYTE,INT,A1,A2,A3)

PROTOCCALLSFSUB3(CCOPYL,ccopyl,BYTEV,PBYTE,INT)
#define CCOPYL(A1,A2,A3)  CCALLSFSUB3(CCOPYL,ccopyl,BYTEV,PBYTE,INT,A1,A2,A3)

PROTOCCALLSFSUB3(CCOPYR,ccopyr,BYTEV,PBYTE,INT)
#define CCOPYR(A1,A2,A3)  CCALLSFSUB3(CCOPYR,ccopyr,BYTEV,PBYTE,INT,A1,A2,A3)

PROTOCCALLSFSUB6(CCOSUB,ccosub,BYTE,PBYTE,INT,INT,BYTE,BYTE)
#define CCOSUB(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(CCOSUB,ccosub,BYTE,PBYTE,INT,INT,BYTE,BYTE,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB6(CENVIR,cenvir,BYTE,INT,PBYTE,INT,INT,INT)
#define CENVIR(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(CENVIR,cenvir,BYTE,INT,PBYTE,INT,INT,INT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB4(CFILL,cfill,BYTE,PBYTE,INT,INT)
#define CFILL(A1,A2,A3,A4)  CCALLSFSUB4(CFILL,cfill,BYTE,PBYTE,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB7(CFOPEN,cfopen,PINT,INT,INT,BYTE,INT,BYTE,PINT)
#define CFOPEN(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(CFOPEN,cfopen,PINT,INT,INT,BYTE,INT,BYTE,PINT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB3(CFWEOF,cfweof,INT,INT,PINT)
#define CFWEOF(A1,A2,A3)  CCALLSFSUB3(CFWEOF,cfweof,INT,INT,PINT,A1,A2,A3)

PROTOCCALLSFSUB2(CHTOI,chtoi,FLOAT,INT)
#define CHTOI(A1,A2)  CCALLSFSUB2(CHTOI,chtoi,FLOAT,INT,A1,A2)

PROTOCCALLSFSUB4(CIOPEN,ciopen,PINT,BYTE,BYTE,PINT)
#define CIOPEN(A1,A2,A3,A4)  CCALLSFSUB4(CIOPEN,ciopen,PINT,BYTE,BYTE,PINT,A1,A2,A3,A4)

PROTOCCALLSFSUB4(CKRACK,ckrack,BYTEV,INTV,INTV,INT)
#define CKRACK(A1,A2,A3,A4)  CCALLSFSUB4(CKRACK,ckrack,BYTEV,INTV,INTV,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB3(CLEFT,cleft,PBYTE,INTV,INTV)
#define CLEFT(A1,A2,A3)  CCALLSFSUB3(CLEFT,cleft,PBYTE,INTV,INTV,A1,A2,A3)

PROTOCCALLSFSUB1(CLTOU,cltou,PBYTE)
#define CLTOU(A1)  CCALLSFSUB1(CLTOU,cltou,PBYTE,A1)

PROTOCCALLSFSUB3(CRIGHT,cright,PBYTE,INTV,INTV)
#define CRIGHT(A1,A2,A3)  CCALLSFSUB3(CRIGHT,cright,PBYTE,INTV,INTV,A1,A2,A3)

PROTOCCALLSFSUB3(CROSS,cross,FLOATV,FLOATV,PFLOAT)
#define CROSS(A1,A2,A3)  CCALLSFSUB3(CROSS,cross,FLOATV,FLOATV,PFLOAT,A1,A2,A3)

PROTOCCALLSFSUB4(CSETDI,csetdi,INTV,PBYTE,INTV,INTV)
#define CSETDI(A1,A2,A3,A4)  CCALLSFSUB4(CSETDI,csetdi,INTV,PBYTE,INTV,INTV,A1,A2,A3,A4)

PROTOCCALLSFSUB4(CSETHI,csethi,INTV,PBYTE,INTV,INTV)
#define CSETHI(A1,A2,A3,A4)  CCALLSFSUB4(CSETHI,csethi,INTV,PBYTE,INTV,INTV,A1,A2,A3,A4)

PROTOCCALLSFSUB4(CSETOI,csetoi,INTV,PBYTE,INTV,INTV)
#define CSETOI(A1,A2,A3,A4)  CCALLSFSUB4(CSETOI,csetoi,INTV,PBYTE,INTV,INTV,A1,A2,A3,A4)

PROTOCCALLSFSUB8(CSETVI,csetvi,INTV,INTV,INTV,BYTE,INTV,INTV,INTV,INTV)
#define CSETVI(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(CSETVI,csetvi,INTV,INTV,INTV,BYTE,INTV,INTV,INTV,INTV,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB8(CSETVM,csetvm,INTV,INTV,INTV,BYTE,INTV,INTV,INTV,INTV)
#define CSETVM(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(CSETVM,csetvm,INTV,INTV,INTV,BYTE,INTV,INTV,INTV,INTV,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB3(CSQMBL,csqmbl,PBYTE,INTV,INTV)
#define CSQMBL(A1,A2,A3)  CCALLSFSUB3(CSQMBL,csqmbl,PBYTE,INTV,INTV,A1,A2,A3)

PROTOCCALLSFSUB4(CSQMCH,csqmch,STRING,PBYTE,INTV,INTV)
#define CSQMCH(A1,A2,A3,A4)  CCALLSFSUB4(CSQMCH,csqmch,STRING,PBYTE,INTV,INTV,A1,A2,A3,A4)

PROTOCCALLSFSUB5(CTRANS,ctrans,STRING,STRING,STRING,INT,INT)
#define CTRANS(A1,A2,A3,A4,A5)  CCALLSFSUB5(CTRANS,ctrans,STRING,STRING,STRING,INT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB1(CUTOL,cutol,PBYTE)
#define CUTOL(A1)  CCALLSFSUB1(CUTOL,cutol,PBYTE,A1)

PROTOCCALLSFSUB2(DATIME,datime,PINT,PINT)
#define DATIME(A1,A2)  CCALLSFSUB2(DATIME,datime,PINT,PINT,A1,A2)

PROTOCCALLSFSUB2(DATIMH,datimh,INTV,INTV)
#define DATIMH(A1,A2)  CCALLSFSUB2(DATIMH,datimh,INTV,INTV,A1,A2)

PROTOCCALLSFSUB4(FFSIZE,ffsize,INT,INT,PINT,PINT)
#define FFSIZE(A1,A2,A3,A4)  CCALLSFSUB4(FFSIZE,ffsize,INT,INT,PINT,PINT,A1,A2,A3,A4)

PROTOCCALLSFSUB2(FLPSOR,flpsor,PFLOAT,INT)
#define FLPSOR(A1,A2)  CCALLSFSUB2(FLPSOR,flpsor,PFLOAT,INT,A1,A2)

PROTOCCALLSFSUB2(GETENVF,getenvf,STRING,STRING)
#define GETENVF(A1,A2)  CCALLSFSUB2(GETENVF,getenvf,STRING,STRING,A1,A2)

PROTOCCALLSFSUB1(GETWDF,getwdf,BYTE)
#define GETWDF(A1)  CCALLSFSUB1(GETWDF,getwdf,BYTE,A1)

PROTOCCALLSFSUB1(GSHOW,gshow,INT)
#define GSHOW(A1)  CCALLSFSUB1(GSHOW,gshow,INT,A1)

PROTOCCALLSFSUB1(GSHOWF,gshowf,INT)
#define GSHOWF(A1)  CCALLSFSUB1(GSHOWF,gshowf,INT,A1)

PROTOCCALLSFSUB4(IE3FOD,ie3fod,INTV,INTV,INT,PINT)
#define IE3FOD(A1,A2,A3,A4)  CCALLSFSUB4(IE3FOD,ie3fod,INTV,INTV,INT,PINT,A1,A2,A3,A4)

PROTOCCALLSFSUB4(IE3FOS,ie3fos,INTV,INTV,INT,PINT)
#define IE3FOS(A1,A2,A3,A4)  CCALLSFSUB4(IE3FOS,ie3fos,INTV,INTV,INT,PINT,A1,A2,A3,A4)

PROTOCCALLSFSUB4(IE3TOD,ie3tod,INTV,INTV,INT,PINT)
#define IE3TOD(A1,A2,A3,A4)  CCALLSFSUB4(IE3TOD,ie3tod,INTV,INTV,INT,PINT,A1,A2,A3,A4)

PROTOCCALLSFSUB4(IE3TOS,ie3tos,INTV,INTV,INT,PINT)
#define IE3TOS(A1,A2,A3,A4)  CCALLSFSUB4(IE3TOS,ie3tos,INTV,INTV,INT,PINT,A1,A2,A3,A4)

PROTOCCALLSFSUB2(INTSOR,intsor,PINT,INT)
#define INTSOR(A1,A2)  CCALLSFSUB2(INTSOR,intsor,PINT,INT,A1,A2)

PROTOCCALLSFSUB2(ITOCH,itoch,INT,FLOAT)
#define ITOCH(A1,A2)  CCALLSFSUB2(ITOCH,itoch,INT,FLOAT,A1,A2)

PROTOCCALLSFSUB1(JOBNAM,jobnam,PINT)
#define JOBNAM(A1)  CCALLSFSUB1(JOBNAM,jobnam,PINT,A1)

PROTOCCALLSFSUB2(JUMPX2,jumpx2,INTV,INTV)
#define JUMPX2(A1,A2)  CCALLSFSUB2(JUMPX2,jumpx2,INTV,INTV,A1,A2)

PROTOCCALLSFSUB3(JUMPY2,jumpy2,FLOAT,INTV,INTV)
#define JUMPY2(A1,A2,A3)  CCALLSFSUB3(JUMPY2,jumpy2,FLOAT,INTV,INTV,A1,A2,A3)

PROTOCCALLSFSUB1(KERNGT,kerngt,INT)
#define KERNGT(A1)  CCALLSFSUB1(KERNGT,kerngt,INT,A1)

PROTOCCALLSFSUB3(LOREN4,loren4,FLOATV,FLOATV,PFLOAT)
#define LOREN4(A1,A2,A3)  CCALLSFSUB3(LOREN4,loren4,FLOATV,FLOATV,PFLOAT,A1,A2,A3)

PROTOCCALLSFSUB4(LORENB,lorenb,FLOAT,FLOATV,FLOATV,PFLOAT)
#define LORENB(A1,A2,A3,A4)  CCALLSFSUB4(LORENB,lorenb,FLOAT,FLOATV,FLOATV,PFLOAT,A1,A2,A3,A4)

PROTOCCALLSFSUB4(LORENF,lorenf,FLOAT,FLOATV,FLOATV,PFLOAT)
#define LORENF(A1,A2,A3,A4)  CCALLSFSUB4(LORENF,lorenf,FLOAT,FLOATV,FLOATV,PFLOAT,A1,A2,A3,A4)

PROTOCCALLSFSUB8(MATIN1,matin1,PFLOAT,INT,INT,INT,INT,PINT,PINT,PFLOAT)
#define MATIN1(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(MATIN1,matin1,PFLOAT,INT,INT,INT,INT,PINT,PINT,PFLOAT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB5(MVBITS,mvbits,INT,INT,INT,PINT,INT)
#define MVBITS(A1,A2,A3,A4,A5)  CCALLSFSUB5(MVBITS,mvbits,INT,INT,INT,PINT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB4(MXEQU,mxequ,PFLOAT,FLOATV,INT,INT)
#define MXEQU(A1,A2,A3,A4)  CCALLSFSUB4(MXEQU,mxequ,PFLOAT,FLOATV,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB6(MXMAD,mxmad,FLOATV,FLOATV,FLOATV,INT,INT,INT)
#define MXMAD(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(MXMAD,mxmad,FLOATV,FLOATV,FLOATV,INT,INT,INT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB5(MXMLRT,mxmlrt,FLOATV,FLOATV,FLOATV,INT,INT)
#define MXMLRT(A1,A2,A3,A4,A5)  CCALLSFSUB5(MXMLRT,mxmlrt,FLOATV,FLOATV,FLOATV,INT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB4(MXTRP,mxtrp,FLOATV,PFLOAT,INT,INT)
#define MXTRP(A1,A2,A3,A4)  CCALLSFSUB4(MXTRP,mxtrp,FLOATV,PFLOAT,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB2(MXUTY,mxuty,PFLOAT,INT)
#define MXUTY(A1,A2)  CCALLSFSUB2(MXUTY,mxuty,PFLOAT,INT,A1,A2)

PROTOCCALLSFSUB1(NOARG,noarg,INT)
#define NOARG(A1)  CCALLSFSUB1(NOARG,noarg,INT,A1)

PROTOCCALLSFSUB1(PERRORF,perrorf,BYTE)
#define PERRORF(A1)  CCALLSFSUB1(PERRORF,perrorf,BYTE,A1)

PROTOCCALLSFSUB5(PKBYT,pkbyt,INTV,PINT,INTV,INTV,INTV)
#define PKBYT(A1,A2,A3,A4,A5)  CCALLSFSUB5(PKBYT,pkbyt,INTV,PINT,INTV,INTV,INTV,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB4(PKCHAR,pkchar,INTV,PINT,INT,INTV)
#define PKCHAR(A1,A2,A3,A4)  CCALLSFSUB4(PKCHAR,pkchar,INTV,PINT,INT,INTV,A1,A2,A3,A4)

PROTOCCALLSFSUB3(POWEZE,poweze,FLOAT,PFLOAT,INT)
#define POWEZE(A1,A2,A3)  CCALLSFSUB3(POWEZE,poweze,FLOAT,PFLOAT,INT,A1,A2,A3)

PROTOCCALLSFSUB4(RANECQ,ranecq,PINT,PINT,INT,STRING)
#define RANECQ(A1,A2,A3,A4)  CCALLSFSUB4(RANECQ,ranecq,PINT,PINT,INT,STRING,A1,A2,A3,A4)

PROTOCCALLSFSUB3(RANECU,ranecu,PFLOAT,INT,INT)
#define RANECU(A1,A2,A3)  CCALLSFSUB3(RANECU,ranecu,PFLOAT,INT,INT,A1,A2,A3)

PROTOCCALLSFSUB2(RANMAR,ranmar,PFLOAT,INT)
#define RANMAR(A1,A2)  CCALLSFSUB2(RANMAR,ranmar,PFLOAT,INT,A1,A2)

PROTOCCALLSFSUB2(RANNOR,rannor,PFLOAT,PFLOAT)
#define RANNOR(A1,A2)  CCALLSFSUB2(RANNOR,rannor,PFLOAT,PFLOAT,A1,A2)

PROTOCCALLSFSUB3(RMMAQ,rmmaq,PINT,PINT,BYTE)
#define RMMAQ(A1,A2,A3)  CCALLSFSUB3(RMMAQ,rmmaq,PINT,PINT,BYTE,A1,A2,A3)

PROTOCCALLSFSUB3(RMMAR,rmmar,PFLOAT,INT,INT)
#define RMMAR(A1,A2,A3)  CCALLSFSUB3(RMMAR,rmmar,PFLOAT,INT,INT,A1,A2,A3)

PROTOCCALLSFSUB3(ROT,rot,FLOATV,FLOAT,PFLOAT)
#define ROT(A1,A2,A3)  CCALLSFSUB3(ROT,rot,FLOATV,FLOAT,PFLOAT,A1,A2,A3)

PROTOCCALLSFSUB3(SBIT,sbit,INT,PINT,INT)
#define SBIT(A1,A2,A3)  CCALLSFSUB3(SBIT,sbit,INT,PINT,INT,A1,A2,A3)

PROTOCCALLSFSUB2(SBIT0,sbit0,PINT,INT)
#define SBIT0(A1,A2)  CCALLSFSUB2(SBIT0,sbit0,PINT,INT,A1,A2)

PROTOCCALLSFSUB2(SBIT1,sbit1,PINT,INT)
#define SBIT1(A1,A2)  CCALLSFSUB2(SBIT1,sbit1,PINT,INT,A1,A2)

PROTOCCALLSFSUB4(SBYT,sbyt,INT,PINT,INT,INT)
#define SBYT(A1,A2,A3,A4)  CCALLSFSUB4(SBYT,sbyt,INT,PINT,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB4(SBYTOR,sbytor,INT,PINT,INT,INT)
#define SBYTOR(A1,A2,A3,A4)  CCALLSFSUB4(SBYTOR,sbytor,INT,PINT,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB4(SBYTPK,sbytpk,INT,FLOATV,INT,INTV)
#define SBYTPK(A1,A2,A3,A4)  CCALLSFSUB4(SBYTPK,sbytpk,INT,FLOATV,INT,INTV,A1,A2,A3,A4)

PROTOCCALLSFSUB5(SETFMT,setfmt,PINT,PINT,INT,FLOATV,INT)
#define SETFMT(A1,A2,A3,A4,A5)  CCALLSFSUB5(SETFMT,setfmt,PINT,PINT,INT,FLOATV,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB3(SMXINV,smxinv,PFLOAT,INT,PINT)
#define SMXINV(A1,A2,A3)  CCALLSFSUB3(SMXINV,smxinv,PFLOAT,INT,PINT,A1,A2,A3)

PROTOCCALLSFSUB5(SORCHA,sorcha,PSTRINGV,INT,INT,INT,INT)
#define SORCHA(A1,A2,A3,A4,A5)  CCALLSFSUB5(SORCHA,sorcha,PSTRINGV,INT,INT,INT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB4(SORTD,sortd,PDOUBLE,INT,INT,INT)
#define SORTD(A1,A2,A3,A4)  CCALLSFSUB4(SORTD,sortd,PDOUBLE,INT,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB4(SORTI,sorti,PINT,INT,INT,INT)
#define SORTI(A1,A2,A3,A4)  CCALLSFSUB4(SORTI,sorti,PINT,INT,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB4(SORTR,sortr,PFLOAT,INT,INT,INT)
#define SORTR(A1,A2,A3,A4)  CCALLSFSUB4(SORTR,sortr,PFLOAT,INT,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB3(SORTTC,sorttc,INTV,PINT,INT)
#define SORTTC(A1,A2,A3)  CCALLSFSUB3(SORTTC,sorttc,INTV,PINT,INT,A1,A2,A3)

PROTOCCALLSFSUB3(SORTTF,sorttf,FLOATV,PINT,INT)
#define SORTTF(A1,A2,A3)  CCALLSFSUB3(SORTTF,sorttf,FLOATV,PINT,INT,A1,A2,A3)

PROTOCCALLSFSUB3(SORTTI,sortti,INTV,PINT,INT)
#define SORTTI(A1,A2,A3)  CCALLSFSUB3(SORTTI,sortti,INTV,PINT,INT,A1,A2,A3)

PROTOCCALLSFSUB5(SORTX,sortx,PINT,INT,INT,INT,PINT)
#define SORTX(A1,A2,A3,A4,A5)  CCALLSFSUB5(SORTX,sortx,PINT,INT,INT,INT,PINT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB6(SORTZV,sortzv,FLOATV,PINT,INT,INT,INT,INT)
#define SORTZV(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(SORTZV,sortzv,FLOATV,PINT,INT,INT,INT,INT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB4(TCDUMP,tcdump,INT,INTV,INT,INT)
#define TCDUMP(A1,A2,A3,A4)  CCALLSFSUB4(TCDUMP,tcdump,INT,INTV,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB4(TLERR,tlerr,PFLOAT,PFLOAT,PFLOAT,PINT)
#define TLERR(A1,A2,A3,A4)  CCALLSFSUB4(TLERR,tlerr,PFLOAT,PFLOAT,PFLOAT,PINT,A1,A2,A3,A4)

PROTOCCALLSFSUB7(TLPIV,tlpiv,FLOATV,FLOATV,INT,INT,INT,PFLOAT,PFLOAT)
#define TLPIV(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(TLPIV,tlpiv,FLOATV,FLOATV,INT,INT,INT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB3(TLRES,tlres,FLOATV,PFLOAT,FLOATV)
#define TLRES(A1,A2,A3)  CCALLSFSUB3(TLRES,tlres,FLOATV,PFLOAT,FLOATV,A1,A2,A3)

PROTOCCALLSFSUB6(TLS,tls,FLOATV,FLOATV,PFLOAT,PINT,FLOAT,PFLOAT)
#define TLS(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(TLS,tls,FLOATV,FLOATV,PFLOAT,PINT,FLOAT,PFLOAT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB6(TLSC,tlsc,PFLOAT,PFLOAT,PFLOAT,PINT,FLOAT,PFLOAT)
#define TLSC(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(TLSC,tlsc,PFLOAT,PFLOAT,PFLOAT,PINT,FLOAT,PFLOAT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB4(TLSMSQ,tlsmsq,FLOATV,INT,INT,PFLOAT)
#define TLSMSQ(A1,A2,A3,A4)  CCALLSFSUB4(TLSMSQ,tlsmsq,FLOATV,INT,INT,PFLOAT,A1,A2,A3,A4)

PROTOCCALLSFSUB7(TLSTEP,tlstep,FLOATV,PFLOAT,INT,INT,INT,INT,FLOAT)
#define TLSTEP(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(TLSTEP,tlstep,FLOATV,PFLOAT,INT,INT,INT,INT,FLOAT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB4(TLSWOP,tlswop,PFLOAT,PFLOAT,INT,INT)
#define TLSWOP(A1,A2,A3,A4)  CCALLSFSUB4(TLSWOP,tlswop,PFLOAT,PFLOAT,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB5(TLUK,tluk,PFLOAT,INT,PINT,PFLOAT,PFLOAT)
#define TLUK(A1,A2,A3,A4,A5)  CCALLSFSUB5(TLUK,tluk,PFLOAT,INT,PINT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB1(TMPRO,tmpro,BYTE)
#define TMPRO(A1)  CCALLSFSUB1(TMPRO,tmpro,BYTE,A1)

PROTOCCALLSFSUB2(TOSLAT,toslat,INT,INT)
#define TOSLAT(A1,A2)  CCALLSFSUB2(TOSLAT,toslat,INT,INT,A1,A2)

PROTOCCALLSFSUB4(TRAAT,traat,FLOATV,PFLOAT,INT,INT)
#define TRAAT(A1,A2,A3,A4)  CCALLSFSUB4(TRAAT,traat,FLOATV,PFLOAT,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB2(TRACEQ,traceq,INT,INT)
#define TRACEQ(A1,A2)  CCALLSFSUB2(TRACEQ,traceq,INT,INT,A1,A2)

PROTOCCALLSFSUB5(TRAL,tral,FLOATV,FLOATV,PFLOAT,INT,INT)
#define TRAL(A1,A2,A3,A4,A5)  CCALLSFSUB5(TRAL,tral,FLOATV,FLOATV,PFLOAT,INT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB5(TRALT,tralt,FLOATV,FLOATV,PFLOAT,INT,INT)
#define TRALT(A1,A2,A3,A4,A5)  CCALLSFSUB5(TRALT,tralt,FLOATV,FLOATV,PFLOAT,INT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB5(TRAS,tras,FLOATV,FLOATV,PFLOAT,INT,INT)
#define TRAS(A1,A2,A3,A4,A5)  CCALLSFSUB5(TRAS,tras,FLOATV,FLOATV,PFLOAT,INT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB5(TRASAT,trasat,FLOATV,FLOATV,PFLOAT,INT,INT)
#define TRASAT(A1,A2,A3,A4,A5)  CCALLSFSUB5(TRASAT,trasat,FLOATV,FLOATV,PFLOAT,INT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB4(TRATA,trata,FLOATV,PFLOAT,INT,INT)
#define TRATA(A1,A2,A3,A4)  CCALLSFSUB4(TRATA,trata,FLOATV,PFLOAT,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB5(TRATS,trats,FLOATV,FLOATV,PFLOAT,INT,INT)
#define TRATS(A1,A2,A3,A4,A5)  CCALLSFSUB5(TRATS,trats,FLOATV,FLOATV,PFLOAT,INT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB5(TRATSA,tratsa,FLOATV,FLOATV,PFLOAT,INT,INT)
#define TRATSA(A1,A2,A3,A4,A5)  CCALLSFSUB5(TRATSA,tratsa,FLOATV,FLOATV,PFLOAT,INT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB3(TRCHLU,trchlu,FLOATV,PFLOAT,INT)
#define TRCHLU(A1,A2,A3)  CCALLSFSUB3(TRCHLU,trchlu,FLOATV,PFLOAT,INT,A1,A2,A3)

PROTOCCALLSFSUB3(TRCHUL,trchul,FLOATV,PFLOAT,INT)
#define TRCHUL(A1,A2,A3)  CCALLSFSUB3(TRCHUL,trchul,FLOATV,PFLOAT,INT,A1,A2,A3)

PROTOCCALLSFSUB3(TRINV,trinv,FLOATV,PFLOAT,INT)
#define TRINV(A1,A2,A3)  CCALLSFSUB3(TRINV,trinv,FLOATV,PFLOAT,INT,A1,A2,A3)

PROTOCCALLSFSUB5(TRLA,trla,FLOATV,FLOATV,PFLOAT,INT,INT)
#define TRLA(A1,A2,A3,A4,A5)  CCALLSFSUB5(TRLA,trla,FLOATV,FLOATV,PFLOAT,INT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB5(TRLTA,trlta,FLOATV,FLOATV,PFLOAT,INT,INT)
#define TRLTA(A1,A2,A3,A4,A5)  CCALLSFSUB5(TRLTA,trlta,FLOATV,FLOATV,PFLOAT,INT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB3(TRPCK,trpck,FLOATV,PFLOAT,INT)
#define TRPCK(A1,A2,A3)  CCALLSFSUB3(TRPCK,trpck,FLOATV,PFLOAT,INT,A1,A2,A3)

PROTOCCALLSFSUB4(TRQSQ,trqsq,FLOATV,FLOATV,PFLOAT,INT)
#define TRQSQ(A1,A2,A3,A4)  CCALLSFSUB4(TRQSQ,trqsq,FLOATV,FLOATV,PFLOAT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB5(TRSA,trsa,FLOATV,FLOATV,PFLOAT,INT,INT)
#define TRSA(A1,A2,A3,A4,A5)  CCALLSFSUB5(TRSA,trsa,FLOATV,FLOATV,PFLOAT,INT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB5(TRSAT,trsat,FLOATV,FLOATV,PFLOAT,INT,INT)
#define TRSAT(A1,A2,A3,A4,A5)  CCALLSFSUB5(TRSAT,trsat,FLOATV,FLOATV,PFLOAT,INT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB3(TRSINV,trsinv,FLOATV,FLOATV,INT)
#define TRSINV(A1,A2,A3)  CCALLSFSUB3(TRSINV,trsinv,FLOATV,FLOATV,INT,A1,A2,A3)

PROTOCCALLSFSUB3(TRSMLU,trsmlu,FLOATV,PFLOAT,INT)
#define TRSMLU(A1,A2,A3)  CCALLSFSUB3(TRSMLU,trsmlu,FLOATV,PFLOAT,INT,A1,A2,A3)

PROTOCCALLSFSUB3(TRSMUL,trsmul,FLOATV,PFLOAT,INT)
#define TRSMUL(A1,A2,A3)  CCALLSFSUB3(TRSMUL,trsmul,FLOATV,PFLOAT,INT,A1,A2,A3)

PROTOCCALLSFSUB3(TRUPCK,trupck,FLOATV,PFLOAT,INT)
#define TRUPCK(A1,A2,A3)  CCALLSFSUB3(TRUPCK,trupck,FLOATV,PFLOAT,INT,A1,A2,A3)

PROTOCCALLSFSUB4(UBITS,ubits,INTV,INT,PINT,PINT)
#define UBITS(A1,A2,A3,A4)  CCALLSFSUB4(UBITS,ubits,INTV,INT,PINT,PINT,A1,A2,A3,A4)

PROTOCCALLSFSUB3(UBLANK,ublank,PINT,INT,INT)
#define UBLANK(A1,A2,A3)  CCALLSFSUB3(UBLANK,ublank,PINT,INT,INT,A1,A2,A3)

PROTOCCALLSFSUB3(UBLOW,ublow,INTV,PINT,INTV)
#define UBLOW(A1,A2,A3)  CCALLSFSUB3(UBLOW,ublow,INTV,PINT,INTV,A1,A2,A3)

PROTOCCALLSFSUB3(UBUNCH,ubunch,INTV,PINT,INTV)
#define UBUNCH(A1,A2,A3)  CCALLSFSUB3(UBUNCH,ubunch,INTV,PINT,INTV,A1,A2,A3)

PROTOCCALLSFSUB6(UCOCOP,ucocop,FLOATV,PFLOAT,INT,INT,INT,INT)
#define UCOCOP(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(UCOCOP,ucocop,FLOATV,PFLOAT,INT,INT,INT,INT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB3(UCOPIV,ucopiv,FLOATV,PFLOAT,INT)
#define UCOPIV(A1,A2,A3)  CCALLSFSUB3(UCOPIV,ucopiv,FLOATV,PFLOAT,INT,A1,A2,A3)

PROTOCCALLSFSUB3(UCOPY,ucopy,FLOATV,PFLOAT,INT)
#define UCOPY(A1,A2,A3)  CCALLSFSUB3(UCOPY,ucopy,FLOATV,PFLOAT,INT,A1,A2,A3)

PROTOCCALLSFSUB3(UCOPY2,ucopy2,FLOATV,PFLOAT,INT)
#define UCOPY2(A1,A2,A3)  CCALLSFSUB3(UCOPY2,ucopy2,FLOATV,PFLOAT,INT,A1,A2,A3)

PROTOCCALLSFSUB3(UCOPYN,ucopyn,INTV,PINT,INT)
#define UCOPYN(A1,A2,A3)  CCALLSFSUB3(UCOPYN,ucopyn,INTV,PINT,INT,A1,A2,A3)

PROTOCCALLSFSUB4(UCTOH,uctoh,BYTE,PINT,INT,INT)
#define UCTOH(A1,A2,A3,A4)  CCALLSFSUB4(UCTOH,uctoh,BYTE,PINT,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB3(UCTOH1,uctoh1,BYTE,PINT,INT)
#define UCTOH1(A1,A2,A3)  CCALLSFSUB3(UCTOH1,uctoh1,BYTE,PINT,INT,A1,A2,A3)

PROTOCCALLSFSUB6(UDICOP,udicop,FLOATV,PFLOAT,INT,INT,INT,INT)
#define UDICOP(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(UDICOP,udicop,FLOATV,PFLOAT,INT,INT,INT,INT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB4(UFILL,ufill,PINT,INT,INT,INT)
#define UFILL(A1,A2,A3,A4)  CCALLSFSUB4(UFILL,ufill,PINT,INT,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB3(UFLINT,uflint,PFLOAT,INTV,INTV)
#define UFLINT(A1,A2,A3)  CCALLSFSUB3(UFLINT,uflint,PFLOAT,INTV,INTV,A1,A2,A3)

PROTOCCALLSFSUB3(UH1TOC,uh1toc,INTV,PBYTE,INT)
#define UH1TOC(A1,A2,A3)  CCALLSFSUB3(UH1TOC,uh1toc,INTV,PBYTE,INT,A1,A2,A3)

PROTOCCALLSFSUB3(UHOLLR,uhollr,FLOATV,INT,FLOATV)
#define UHOLLR(A1,A2,A3)  CCALLSFSUB3(UHOLLR,uhollr,FLOATV,INT,FLOATV,A1,A2,A3)

PROTOCCALLSFSUB4(UHTOC,uhtoc,INTV,INT,PBYTE,INT)
#define UHTOC(A1,A2,A3,A4)  CCALLSFSUB4(UHTOC,uhtoc,INTV,INT,PBYTE,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB3(ULEFT,uleft,PINT,INT,INT)
#define ULEFT(A1,A2,A3)  CCALLSFSUB3(ULEFT,uleft,PINT,INT,INT,A1,A2,A3)

PROTOCCALLSFSUB4(UOPT,uopt,FLOATV,FLOATV,PINT,INT)
#define UOPT(A1,A2,A3,A4)  CCALLSFSUB4(UOPT,uopt,FLOATV,FLOATV,PINT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB3(UOPTC,uoptc,STRING,STRING,PINT)
#define UOPTC(A1,A2,A3)  CCALLSFSUB3(UOPTC,uoptc,STRING,STRING,PINT,A1,A2,A3)

PROTOCCALLSFSUB5(UPKBYT,upkbyt,INTV,INTV,PINT,INTV,INTV)
#define UPKBYT(A1,A2,A3,A4,A5)  CCALLSFSUB5(UPKBYT,upkbyt,INTV,INTV,PINT,INTV,INTV,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB4(UPKCH,upkch,INTV,PINT,INT,INTV)
#define UPKCH(A1,A2,A3,A4)  CCALLSFSUB4(UPKCH,upkch,INTV,PINT,INT,INTV,A1,A2,A3,A4)

PROTOCCALLSFSUB3(URIGHT,uright,PINT,INT,INT)
#define URIGHT(A1,A2,A3)  CCALLSFSUB3(URIGHT,uright,PINT,INT,INT,A1,A2,A3)

PROTOCCALLSFSUB4(USET,uset,INT,PINT,INT,INT)
#define USET(A1,A2,A3,A4)  CCALLSFSUB4(USET,uset,INT,PINT,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB3(USWOP,uswop,PFLOAT,PFLOAT,INT)
#define USWOP(A1,A2,A3)  CCALLSFSUB3(USWOP,uswop,PFLOAT,PFLOAT,INT,A1,A2,A3)

PROTOCCALLSFSUB5(UTRANS,utrans,FLOATV,FLOATV,INTV,INTV,INTV)
#define UTRANS(A1,A2,A3,A4,A5)  CCALLSFSUB5(UTRANS,utrans,FLOATV,FLOATV,INTV,INTV,INTV,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB3(UZERO,uzero,PINT,INT,INT)
#define UZERO(A1,A2,A3)  CCALLSFSUB3(UZERO,uzero,PINT,INT,INT,A1,A2,A3)

PROTOCCALLSFSUB4(VADD,vadd,FLOATV,FLOATV,PFLOAT,INT)
#define VADD(A1,A2,A3,A4)  CCALLSFSUB4(VADD,vadd,FLOATV,FLOATV,PFLOAT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB4(VBIAS,vbias,FLOATV,FLOAT,PFLOAT,INT)
#define VBIAS(A1,A2,A3,A4)  CCALLSFSUB4(VBIAS,vbias,FLOATV,FLOAT,PFLOAT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB2(VBLANK,vblank,PINT,INT)
#define VBLANK(A1,A2)  CCALLSFSUB2(VBLANK,vblank,PINT,INT,A1,A2)

PROTOCCALLSFSUB3(VCOPYN,vcopyn,FLOATV,PFLOAT,INT)
#define VCOPYN(A1,A2,A3)  CCALLSFSUB3(VCOPYN,vcopyn,FLOATV,PFLOAT,INT,A1,A2,A3)

PROTOCCALLSFSUB3(VEXCUM,vexcum,FLOATV,PFLOAT,INT)
#define VEXCUM(A1,A2,A3)  CCALLSFSUB3(VEXCUM,vexcum,FLOATV,PFLOAT,INT,A1,A2,A3)

PROTOCCALLSFSUB3(VFILL,vfill,PFLOAT,INT,FLOAT)
#define VFILL(A1,A2,A3)  CCALLSFSUB3(VFILL,vfill,PFLOAT,INT,FLOAT,A1,A2,A3)

PROTOCCALLSFSUB3(VFIX,vfix,FLOATV,PINT,INT)
#define VFIX(A1,A2,A3)  CCALLSFSUB3(VFIX,vfix,FLOATV,PINT,INT,A1,A2,A3)

PROTOCCALLSFSUB3(VFLOAT,vfloat,INTV,PFLOAT,INT)
#define VFLOAT(A1,A2,A3)  CCALLSFSUB3(VFLOAT,vfloat,INTV,PFLOAT,INT,A1,A2,A3)

PROTOCCALLSFSUB2(VIZPRI,vizpri,INT,BYTE)
#define VIZPRI(A1,A2)  CCALLSFSUB2(VIZPRI,vizpri,INT,BYTE,A1,A2)

PROTOCCALLSFSUB6(VLINCO,vlinco,FLOATV,FLOAT,FLOATV,FLOAT,PFLOAT,INT)
#define VLINCO(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(VLINCO,vlinco,FLOATV,FLOAT,FLOATV,FLOAT,PFLOAT,INT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB6(VLINE,vline,FLOATV,FLOAT,FLOATV,FLOAT,PFLOAT,INT)
#define VLINE(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(VLINE,vline,FLOATV,FLOAT,FLOATV,FLOAT,PFLOAT,INT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB5(VMATL,vmatl,PFLOAT,FLOATV,PFLOAT,INT,INT)
#define VMATL(A1,A2,A3,A4,A5)  CCALLSFSUB5(VMATL,vmatl,PFLOAT,FLOATV,PFLOAT,INT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB5(VMATR,vmatr,FLOATV,PFLOAT,PFLOAT,INT,INT)
#define VMATR(A1,A2,A3,A4,A5)  CCALLSFSUB5(VMATR,vmatr,FLOATV,PFLOAT,PFLOAT,INT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB4(VMUL,vmul,FLOATV,FLOATV,PFLOAT,INT)
#define VMUL(A1,A2,A3,A4)  CCALLSFSUB4(VMUL,vmul,FLOATV,FLOATV,PFLOAT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB4(VSCALE,vscale,FLOATV,FLOAT,PFLOAT,INT)
#define VSCALE(A1,A2,A3,A4)  CCALLSFSUB4(VSCALE,vscale,FLOATV,FLOAT,PFLOAT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB4(VSUB,vsub,FLOATV,FLOATV,PFLOAT,INT)
#define VSUB(A1,A2,A3,A4)  CCALLSFSUB4(VSUB,vsub,FLOATV,FLOATV,PFLOAT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB3(VUNIT,vunit,FLOATV,PFLOAT,INT)
#define VUNIT(A1,A2,A3)  CCALLSFSUB3(VUNIT,vunit,FLOATV,PFLOAT,INT,A1,A2,A3)

PROTOCCALLSFSUB2(VZERO,vzero,PINT,INT)
#define VZERO(A1,A2)  CCALLSFSUB2(VZERO,vzero,PINT,INT,A1,A2)

PROTOCCALLSFSUB3(XINB,xinb,INT,FLOATV,PINT)
#define XINB(A1,A2,A3)  CCALLSFSUB3(XINB,xinb,INT,FLOATV,PINT,A1,A2,A3)

PROTOCCALLSFSUB3(XINBF,xinbf,INT,FLOATV,PINT)
#define XINBF(A1,A2,A3)  CCALLSFSUB3(XINBF,xinbf,INT,FLOATV,PINT,A1,A2,A3)

PROTOCCALLSFSUB5(XINBS,xinbs,INT,FLOATV,INT,FLOATV,PINT)
#define XINBS(A1,A2,A3,A4,A5)  CCALLSFSUB5(XINBS,xinbs,INT,FLOATV,INT,FLOATV,PINT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB3(XINCF,xincf,INT,FLOATV,PINT)
#define XINCF(A1,A2,A3)  CCALLSFSUB3(XINCF,xincf,INT,FLOATV,PINT,A1,A2,A3)

PROTOCCALLSFSUB3(XOUTB,xoutb,INT,FLOATV,INT)
#define XOUTB(A1,A2,A3)  CCALLSFSUB3(XOUTB,xoutb,INT,FLOATV,INT,A1,A2,A3)

PROTOCCALLSFSUB3(XOUTBF,xoutbf,INT,FLOATV,INT)
#define XOUTBF(A1,A2,A3)  CCALLSFSUB3(XOUTBF,xoutbf,INT,FLOATV,INT,A1,A2,A3)

PROTOCCALLSFSUB5(XOUTBS,xoutbs,INT,FLOATV,INT,FLOATV,INT)
#define XOUTBS(A1,A2,A3,A4,A5)  CCALLSFSUB5(XOUTBS,xoutbs,INT,FLOATV,INT,FLOATV,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB3(XOUTCF,xoutcf,INT,FLOATV,INT)
#define XOUTCF(A1,A2,A3)  CCALLSFSUB3(XOUTCF,xoutcf,INT,FLOATV,INT,A1,A2,A3)

PROTOCCALLSFSUB7(BINSIZ,binsiz,FLOAT,FLOAT,INT,PFLOAT,PFLOAT,PINT,PFLOAT)
#define BINSIZ(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(BINSIZ,binsiz,FLOAT,FLOAT,INT,PFLOAT,PFLOAT,PINT,PFLOAT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB4(CALDAT,caldat,INT,PBYTE,PINT,PINT)
#define CALDAT(A1,A2,A3,A4)  CCALLSFSUB4(CALDAT,caldat,INT,PBYTE,PINT,PINT,A1,A2,A3,A4)

PROTOCCALLSFSUB4(CDMON,cdmon,INT,INT,PINT,PINT)
#define CDMON(A1,A2,A3,A4)  CCALLSFSUB4(CDMON,cdmon,INT,INT,PINT,PINT,A1,A2,A3,A4)

PROTOCCALLSFSUB4(CYDIY,cydiy,INT,PINT,PINT,PINT)
#define CYDIY(A1,A2,A3,A4)  CCALLSFSUB4(CYDIY,cydiy,INT,PINT,PINT,PINT,A1,A2,A3,A4)

PROTOCCALLSFSUB3(GETBIT,getbit,INT,INTV,PINT)
#define GETBIT(A1,A2,A3)  CCALLSFSUB3(GETBIT,getbit,INT,INTV,PINT,A1,A2,A3)

PROTOCCALLSFSUB4(GETBYT,getbyt,INTV,INT,INT,PINT)
#define GETBYT(A1,A2,A3,A4)  CCALLSFSUB4(GETBYT,getbyt,INTV,INT,INT,PINT,A1,A2,A3,A4)

PROTOCCALLSFSUB0(INITC,initc)
#define INITC() CCALLSFSUB0(INITC,initc)

PROTOCCALLSFSUB7(NAMEFD,namefd,INT,STRING,PSTRINGV,INT,PSTRINGV,INT,PINT)
#define NAMEFD(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(NAMEFD,namefd,INT,STRING,STRINGV,INT,PSTRINGV,INT,PINT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB1(RDINT,rdint,PINT)
#define RDINT(A1)  CCALLSFSUB1(RDINT,rdint,PINT,A1)

PROTOCCALLSFSUB1(RDLOAD,rdload,STRING)
#define RDLOAD(A1)  CCALLSFSUB1(RDLOAD,rdload,STRING,A1)

PROTOCCALLSFSUB2(RDMANT,rdmant,INT,PINT)
#define RDMANT(A1,A2)  CCALLSFSUB2(RDMANT,rdmant,INT,PINT,A1,A2)

PROTOCCALLSFSUB1(RDMODE,rdmode,INT)
#define RDMODE(A1)  CCALLSFSUB1(RDMODE,rdmode,INT,A1)

PROTOCCALLSFSUB1(RDNAME,rdname,PSTRING)
#define RDNAME(A1)  CCALLSFSUB1(RDNAME,rdname,PSTRING,A1)

PROTOCCALLSFSUB0(RDNEXT,rdnext)
#define RDNEXT() CCALLSFSUB0(RDNEXT,rdnext)

PROTOCCALLSFSUB0(RDSKIP,rdskip)
#define RDSKIP() CCALLSFSUB0(RDSKIP,rdskip)

PROTOCCALLSFSUB0(RDSKPB,rdskpb)
#define RDSKPB() CCALLSFSUB0(RDSKPB,rdskpb)

PROTOCCALLSFSUB1(RDUPST,rdupst,PSTRING)
#define RDUPST(A1)  CCALLSFSUB1(RDUPST,rdupst,PSTRING,A1)

PROTOCCALLSFSUB4(RDWORD,rdword,PINT,PFLOAT,PSTRING,PINT)
#define RDWORD(A1,A2,A3,A4)  CCALLSFSUB4(RDWORD,rdword,PINT,PFLOAT,PSTRING,PINT,A1,A2,A3,A4)

PROTOCCALLSFSUB3(SETBIT,setbit,INT,INTV,INT)
#define SETBIT(A1,A2,A3)  CCALLSFSUB3(SETBIT,setbit,INT,INTV,INT,A1,A2,A3)

PROTOCCALLSFSUB4(SETBYT,setbyt,INTV,INT,INT,INT)
#define SETBYT(A1,A2,A3,A4)  CCALLSFSUB4(SETBYT,setbyt,INTV,INT,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB3(UMCOM,umcom,STRING,STRING,STRING)
#define UMCOM(A1,A2,A3)  CCALLSFSUB3(UMCOM,umcom,STRING,STRING,STRING,A1,A2,A3)

PROTOCCALLSFSUB2(WHICH,which,PINT,PINT)
#define WHICH(A1,A2)  CCALLSFSUB2(WHICH,which,PINT,PINT,A1,A2)

PROTOCCALLSFSUB3(WHICHF,whichf,STRING,STRING,PSTRING)
#define WHICHF(A1,A2,A3)  CCALLSFSUB3(WHICHF,whichf,STRING,STRING,PSTRING,A1,A2,A3)

PROTOCCALLSFSUB1(WORDSEP,wordsep,STRING)
#define WORDSEP(A1)  CCALLSFSUB1(WORDSEP,wordsep,STRING,A1)

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* #ifndef _KERNLIB_H */
